View Issue Details

IDCategoryLast Update
0006478bugs2017-07-24 20:17
ReporterSideboardAssigned Tox42 
Reproducibilityalways 
Status feedbackResolutionopen 
Product Version5.X git (version in description) 
Fixed in Version 
Summary0006478: Crash after some time of recording
DescriptionWith Ardour_64bit-4.1.405-dbg I was recording with four mono tracks. After an hour or so the program crashed. After restarting the program part of the old tracks were not shown. Resuming recording was followed by another crash after some shorter time than before. Same thing the third time. The crashed recording files are in the appropriate directory but not within their tracks in Ardour.

I could reproduce the issue with a new project.
Additional InformationI could not reproduce with Ardour_64bit-4.1.446-dbg since another bug prevents saving the tracks so recording is stopped after about two seconds already (without crash).
TagsNo tags attached.

Relationships

has duplicate 0006690 new Ardour terminates while recording 
has duplicate 0006958 assignedpaul Application crashes while recording- C++ Runtime error 
has duplicate 0007128 closed Ardour crashes suddenly while recording without further user interaction 
has duplicate 0007250 closed Ardour 4.7 occasionally dumps core mid-MIDI recording 
has duplicate 0007335 new Crash when recording 
related to 0007309 new Tracker bug for possible issues with rewaveview branch 
related to 0007401 new 5.10.22 crash while mooving 2 regions to create new tracks 
related to 0007366 feedback Crash while editing. 

Activities

2015-07-26 22:55

 

gdb.txt (31,050 bytes)
Thread 19 (Thread 0x7f2b360ef800 (LWP 4710)):
#0  sysmalloc (av=0x7f2b28000020, nb=499728) at malloc.c:2715
#1  _int_malloc (av=0x7f2b28000020, bytes=499712) at malloc.c:3800
#2  0x00007f2b827df7b0 in __GI___libc_malloc (bytes=499712) at malloc.c:2891
#3  0x00007f2b830ccf18 in operator new(unsigned long) ()
   from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#4  0x00007f2b830ccfb9 in operator new[](unsigned long) ()
   from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#5  0x00007f2b8be282aa in ARDOUR::AudioSource::compute_and_write_peaks (
    this=0x36913a0, buf=0x7f2b286cb660, first_frame=325458000, cnt=124848, 
    force=true, intermediate_peaks_ready=true, fpp=256)
    at ../libs/ardour/audiosource.cc:882
#6  0x00007f2b8be27d38 in ARDOUR::AudioSource::compute_and_write_peaks (
    this=0x36913a0, buf=0x7f2b286cb660, first_frame=325458000, cnt=124848, 
    force=true, intermediate_peaks_ready=true)
    at ../libs/ardour/audiosource.cc:809
#7  0x00007f2b8c281822 in ARDOUR::SndFileSource::nondestructive_write_unlocked
    (this=0x36913a0, data=0x7f2b286cb660, cnt=124848)
    at ../libs/ardour/sndfilesource.cc:477
#8  0x00007f2b8c281526 in ARDOUR::SndFileSource::write_unlocked (
    this=0x36913a0, data=0x7f2b286cb660, cnt=124848)
    at ../libs/ardour/sndfilesource.cc:450
#9  0x00007f2b8be25233 in ARDOUR::AudioSource::write (this=0x36913a0, 
    dst=0x7f2b286cb660, cnt=124848) at ../libs/ardour/audiosource.cc:325
#10 0x00007f2b8bdabafb in ARDOUR::AudioDiskstream::do_flush (this=0x368c320, 
    force_flush=false) at ../libs/ardour/audio_diskstream.cc:1486
#11 0x00007f2b8c2b7500 in ARDOUR::Track::do_flush (this=0x3677b30, 
    c=ARDOUR::ButlerContext, force=false) at ../libs/ardour/track.cc:698
#12 0x00007f2b8be654fb in ARDOUR::Butler::thread_work (this=0x2a4a7b0)
    at ../libs/ardour/butler.cc:287
#13 0x00007f2b8be635c1 in ARDOUR::Butler::_thread_work (arg=0x2a4a7b0)
    at ../libs/ardour/butler.cc:156
#14 0x00007f2b8abd4556 in fake_thread_start (arg=0x34ff1b0)
    at ../libs/pbd/pthread_utils.cc:93
#15 0x00007f2b85843182 in start_thread (arg=0x7f2b360ef800)
    at pthread_create.c:312
#16 0x00007f2b8285747d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 18 (Thread 0x7f2b8d344900 (LWP 4681)):
#0  _dl_fixup (l=0x7f2b8d363a10, reloc_arg=<optimized out>)
    at ../elf/dl-runtime.c:83
#1  0x00007f2b8d18c515 in _dl_runtime_resolve ()
    at ../sysdeps/x86_64/dl-trampoline.S:45
#2  0x00007f2b883926c1 in cairo_surface_reference ()
   from /opt/Ardour-4.1.405-dbg/lib/libcairo.so.2
#3  0x00007f2b88374a7b in cairo_pattern_create_for_surface ()
   from /opt/Ardour-4.1.405-dbg/lib/libcairo.so.2
#4  0x00007f2b8833bb6c in ?? () from /opt/Ardour-4.1.405-dbg/lib/libcairo.so.2
#5  0x00007f2b88333587 in cairo_set_source_surface ()
   from /opt/Ardour-4.1.405-dbg/lib/libcairo.so.2
#6  0x00007f2b85f7ed64 in Cairo::Context::set_source(Cairo::RefPtr<Cairo::Surface> const&, double, double) ()
   from /opt/Ardour-4.1.405-dbg/lib/libcairomm-1.0.so.1
#7  0x00007f2b8cce033a in ArdourCanvas::WaveView::render (this=0x3c1e030, 
    area=..., context=...) at ../libs/canvas/wave_view.cc:1221
#8  0x00007f2b8ccb365c in ArdourCanvas::Item::render_children (this=0x4b848e0, 
    area=..., context=...) at ../libs/canvas/item.cc:800
#9  0x00007f2b8cca9705 in ArdourCanvas::Container::render (this=0x4b848e0, 
    area=..., context=...) at ../libs/canvas/container.cc:43
#10 0x00007f2b8ccb365c in ArdourCanvas::Item::render_children (this=0x550f860, 
    area=..., context=...) at ../libs/canvas/item.cc:800
#11 0x00007f2b8cca9705 in ArdourCanvas::Container::render (this=0x550f860, 
    area=..., context=...) at ../libs/canvas/container.cc:43
#12 0x00007f2b8ccb365c in ArdourCanvas::Item::render_children (this=0x5557c50, 
    area=..., context=...) at ../libs/canvas/item.cc:800
#13 0x00007f2b8cca9705 in ArdourCanvas::Container::render (this=0x5557c50, 
    area=..., context=...) at ../libs/canvas/container.cc:43
#14 0x00007f2b8ccb365c in ArdourCanvas::Item::render_children (this=0x29125e0, 
    area=..., context=...) at ../libs/canvas/item.cc:800
#15 0x00007f2b8cca9705 in ArdourCanvas::Container::render (this=0x29125e0, 
    area=..., context=...) at ../libs/canvas/container.cc:43
#16 0x00007f2b8ccb365c in ArdourCanvas::Item::render_children (this=0x2e0cae0, 
    area=..., context=...) at ../libs/canvas/item.cc:800
#17 0x00007f2b8cca9705 in ArdourCanvas::Container::render (this=0x2e0cae0, 
    area=..., context=...) at ../libs/canvas/container.cc:43
#18 0x00007f2b8ccd08f4 in ArdourCanvas::ScrollGroup::render (this=0x2e0cae0, 
    area=..., context=...) at ../libs/canvas/scroll_group.cc:67
#19 0x00007f2b8ccb365c in ArdourCanvas::Item::render_children (this=0x2e0c320, 
    area=..., context=...) at ../libs/canvas/item.cc:800
#20 0x00007f2b8cca9705 in ArdourCanvas::Container::render (this=0x2e0c320, 
    area=..., context=...) at ../libs/canvas/container.cc:43
#21 0x00007f2b8cc96728 in ArdourCanvas::Canvas::render (this=0x2e0c308, 
    area=..., context=...) at ../libs/canvas/canvas.cc:121
#22 0x00007f2b8cc9ab37 in ArdourCanvas::GtkCanvas::on_expose_event (
    this=0x2e0c308, ev=0x7ffe296092b0) at ../libs/canvas/canvas.cc:814
#23 0x00007f2b86f66bd3 in Gtk::Widget_Class::expose_event_callback(_GtkWidget*, _GdkEventExpose*) () from /opt/Ardour-4.1.405-dbg/lib/libgtkmm-2.4.so.1
#24 0x00007f2b88e9ef38 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libgtk-x11-2.0.so.0
#25 0x00007f2b89d341e2 in g_closure_invoke ()
   from /opt/Ardour-4.1.405-dbg/lib/libgobject-2.0.so.0
#26 0x00007f2b89d4b272 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libgobject-2.0.so.0
#27 0x00007f2b89d4bf98 in g_signal_emit_valist ()
   from /opt/Ardour-4.1.405-dbg/lib/libgobject-2.0.so.0
#28 0x00007f2b89d4c7e3 in g_signal_emit ()
   from /opt/Ardour-4.1.405-dbg/lib/libgobject-2.0.so.0
#29 0x00007f2b88ff5d8f in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libgtk-x11-2.0.so.0
#30 0x00007f2b88e99027 in gtk_main_do_event ()
   from /opt/Ardour-4.1.405-dbg/lib/libgtk-x11-2.0.so.0
#31 0x00007f2b88abc782 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libgdk-x11-2.0.so.0
#32 0x00007f2b88abc72f in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libgdk-x11-2.0.so.0
#33 0x00007f2b88ab5554 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libgdk-x11-2.0.so.0
#34 0x00007f2b88ab58b9 in gdk_window_process_all_updates ()
   from /opt/Ardour-4.1.405-dbg/lib/libgdk-x11-2.0.so.0
#35 0x00007f2b88ab5929 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libgdk-x11-2.0.so.0
#36 0x00007f2b88a82de6 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libgdk-x11-2.0.so.0
#37 0x00007f2b89a2fc95 in g_main_context_dispatch ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#38 0x00007f2b89a31b08 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#39 0x00007f2b89a31bb5 in g_main_loop_run ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#40 0x00007f2b88e98657 in gtk_main ()
   from /opt/Ardour-4.1.405-dbg/lib/libgtk-x11-2.0.so.0
#41 0x00007f2b8c940379 in Gtkmm2ext::UI::run (this=0x2674cb0, old_receiver=...)
    at ../libs/gtkmm2ext/gtk_ui.cc:280
#42 0x0000000000a5f91d in main (argc=1, argv=0x7ffe296098e8)
    at ../gtk2_ardour/main.cc:362

Thread 17 (Thread 0x7f2b525eb700 (LWP 4713)):
#0  0x00007f2b8584ab9d in nanosleep () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f2b89a5e298 in g_usleep ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#2  0x00007f2b8be4effa in ARDOUR::AutomationWatch::thread (this=0x2bd8670)
    at ../libs/ardour/automation_watch.cc:153
#3  0x00007f2b8be52475 in boost::_mfi::mf0<void, ARDOUR::AutomationWatch>::operator() (this=0x5117c40, p=0x2bd8670)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007f2b8be520b8 in boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list0> (this=0x5117c50, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#5  0x00007f2b8be51cb3 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >::operator() (this=0x5117c40)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#6  0x00007f2b8be51c3e in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > > >::operator() (this=0x5117c40)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#7  0x00007f2b8be5183e in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >, void>::call_it (rep=0x5117c10)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007f2b89fbbb72 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglibmm-2.4.so.1
#9  0x00007f2b89a5c7f5 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#10 0x00007f2b85843182 in start_thread (arg=0x7f2b525eb700)
    at pthread_create.c:312
#11 0x00007f2b8285747d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 16 (Thread 0x7f2b7eb4b700 (LWP 4686)):
#0  0x00007f2b8584ab9d in nanosleep () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f2b89a5e298 in g_usleep ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#2  0x0000000000fb3978 in gui_event_loop (ptr=0x0)
    at ../gtk2_ardour/linux_vst_gui_support.cc:476
#3  0x00007f2b85843182 in start_thread (arg=0x7f2b7eb4b700)
    at pthread_create.c:312
#4  0x00007f2b8285747d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 15 (Thread 0x7f2b6d882700 (LWP 4697)):
#0  0x00007f2b8284a12d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f2b89a31aa5 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#2  0x00007f2b89a31cc7 in g_main_context_iteration ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#3  0x00007f2b89a31d19 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#4  0x00007f2b89a5c7f5 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#5  0x00007f2b85843182 in start_thread (arg=0x7f2b6d882700)
    at pthread_create.c:312
#6  0x00007f2b8285747d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 14 (Thread 0x7f2b6d903700 (LWP 4703)):
#0  0x00007f2b8584a3bd in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f2b6e3dbcf6 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#2  0x00007f2b6e3df287 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#3  0x00007f2b6e3def9c in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#4  0x00007f2b6e3d9858 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#5  0x00007f2b85843182 in start_thread (arg=0x7f2b6d903700)
    at pthread_create.c:312
#6  0x00007f2b8285747d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 13 (Thread 0x7f2b7e34a700 (LWP 4687)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f2b89a7d524 in g_cond_wait ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#2  0x00007f2b8c28a895 in peak_thread_work ()
    at ../libs/ardour/source_factory.cc:68
#3  0x0000000000c99e45 in sigc::pointer_functor0<void>::operator() (
    this=0x26b2768)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x0000000000c97394 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x26b2760)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#5  0x0000000000c93abb in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x26b2730)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#6  0x00007f2b89fbbb72 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglibmm-2.4.so.1
#7  0x00007f2b89a5c7f5 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#8  0x00007f2b85843182 in start_thread (arg=0x7f2b7e34a700)
    at pthread_create.c:312
#9  0x00007f2b8285747d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 12 (Thread 0x7f2b7db49700 (LWP 4688)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f2b89a7d524 in g_cond_wait ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#2  0x00007f2b8c28a895 in peak_thread_work ()
    at ../libs/ardour/source_factory.cc:68
#3  0x0000000000c99e45 in sigc::pointer_functor0<void>::operator() (
    this=0x2679438)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x0000000000c97394 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x2679430)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#5  0x0000000000c93abb in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x2679400)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#6  0x00007f2b89fbbb72 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglibmm-2.4.so.1
#7  0x00007f2b89a5c7f5 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#8  0x00007f2b85843182 in start_thread (arg=0x7f2b7db49700)
    at pthread_create.c:312
#9  0x00007f2b8285747d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 11 (Thread 0x7f2b52dec700 (LWP 4712)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f2b8c21d5bc in ARDOUR::Session::emit_thread_run (this=0x2a4cd10)
    at ../libs/ardour/session_process.cc:1313
#2  0x00007f2b8c21d566 in ARDOUR::Session::emit_thread (arg=0x2a4cd10)
    at ../libs/ardour/session_process.cc:1302
#3  0x00007f2b85843182 in start_thread (arg=0x7f2b52dec700)
    at pthread_create.c:312
#4  0x00007f2b8285747d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 10 (Thread 0x7f2b6d984700 (LWP 4702)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f2b6e3dad5a in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#2  0x00007f2b6e3d6f21 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#3  0x00007f2b6e3d9858 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#4  0x00007f2b85843182 in start_thread (arg=0x7f2b6d984700)
    at pthread_create.c:312
#5  0x00007f2b8285747d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 9 (Thread 0x7f2b6ffff700 (LWP 4690)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f2b89a7d524 in g_cond_wait ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#2  0x00007f2b8bdf35a3 in ARDOUR::AudioEngine::do_reset_backend (
    this=0x267ebc0) at ../libs/ardour/audioengine.cc:501
#3  0x00007f2b8be00c2d in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x26a9800, p=0x267ebc0)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007f2b8be0083c in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (this=0x26a9810, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#5  0x00007f2b8be0013d in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (this=0x26a9800)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#6  0x00007f2b8bdff92a in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x26a9800)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#7  0x00007f2b8bdfeb52 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x26a97d0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007f2b89fbbb72 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglibmm-2.4.so.1
#9  0x00007f2b89a5c7f5 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#10 0x00007f2b85843182 in start_thread (arg=0x7f2b6ffff700)
    at pthread_create.c:312
#11 0x00007f2b8285747d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 8 (Thread 0x7f2b6f7fe700 (LWP 4691)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f2b89a7d524 in g_cond_wait ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#2  0x00007f2b8bdf37e9 in ARDOUR::AudioEngine::do_devicelist_update (
    this=0x267ebc0) at ../libs/ardour/audioengine.cc:536
#3  0x00007f2b8be00c2d in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x26a9590, p=0x267ebc0)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007f2b8be0083c in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (this=0x26a95a0, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#5  0x00007f2b8be0013d in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (this=0x26a9590)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#6  0x00007f2b8bdff92a in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x26a9590)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#7  0x00007f2b8bdfeb52 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x26a9560)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007f2b89fbbb72 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglibmm-2.4.so.1
#9  0x00007f2b89a5c7f5 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#10 0x00007f2b85843182 in start_thread (arg=0x7f2b6f7fe700)
    at pthread_create.c:312
#11 0x00007f2b8285747d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 7 (Thread 0x7f2b7d348700 (LWP 4689)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f2b89a7d524 in g_cond_wait ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#2  0x00007f2b8bd9bf1f in ARDOUR::Analyser::work ()
    at ../libs/ardour/analyser.cc:85
#3  0x00007f2b8bd9bcb5 in analyser_work () at ../libs/ardour/analyser.cc:50
#4  0x0000000000c99e45 in sigc::pointer_functor0<void>::operator() (
    this=0x26affe8)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#5  0x0000000000c97394 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x26affe0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#6  0x0000000000c93abb in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x26affb0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#7  0x00007f2b89fbbb72 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglibmm-2.4.so.1
#8  0x00007f2b89a5c7f5 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#9  0x00007f2b85843182 in start_thread (arg=0x7f2b7d348700)
    at pthread_create.c:312
#10 0x00007f2b8285747d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 6 (Thread 0x7f2b5c32e700 (LWP 4707)):
#0  sem_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/sem_wait.S:85
#1  0x00007f2b8bf59250 in PBD::ProcessSemaphore::wait (this=0x3047e90)
    at /home/ardour/linux-x86_64/ardour/libs/pbd/pbd/semutils.h:56
#2  0x00007f2b8bf571e8 in ARDOUR::Graph::run_one (this=0x3047de0)
    at ../libs/ardour/graph.cc:381
#3  0x00007f2b8bf57943 in ARDOUR::Graph::main_thread (this=0x3047de0)
    at ../libs/ardour/graph.cc:450
#4  0x00007f2b8bf5d72f in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (
    this=0x7f2b5c32dd18, p=0x3047de0)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#5  0x00007f2b8bf5cf44 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (
    this=0x7f2b5c32dd28, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#6  0x00007f2b8bf5c563 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (
    this=0x7f2b5c32dd18)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#7  0x00007f2b8bf5bf59 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:153
#8  0x00000000005e2017 in boost::function0<void>::operator() (
    this=0x7f2b5c32dd10)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:760
#9  0x00007f2b6e647717 in ARDOUR::JACKAudioBackend::_start_process_thread (
    arg=0x3047ab0) at ../libs/backends/jack/jack_audiobackend.cc:903
#10 0x00007f2b85843182 in start_thread (arg=0x7f2b5c32e700)
    at pthread_create.c:312
#11 0x00007f2b8285747d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 5 (Thread 0x7f2b5c22c700 (LWP 4709)):
#0  sem_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/sem_wait.S:85
#1  0x00007f2b8bf59250 in PBD::ProcessSemaphore::wait (this=0x3047eb0)
    at /home/ardour/linux-x86_64/ardour/libs/pbd/pbd/semutils.h:56
#2  0x00007f2b8bf56561 in ARDOUR::Graph::restart_cycle (this=0x3047de0)
    at ../libs/ardour/graph.cc:255
#3  0x00007f2b8bf5652b in ARDOUR::Graph::dec_ref (this=0x3047de0)
    at ../libs/ardour/graph.cc:242
#4  0x00007f2b8bf5e3a4 in ARDOUR::GraphNode::finish (this=0x36602c0, chain=0)
    at ../libs/ardour/graphnode.cc:71
#5  0x00007f2b8bf573e2 in ARDOUR::Graph::run_one (this=0x3047de0)
    at ../libs/ardour/graph.cc:395
#6  0x00007f2b8bf57582 in ARDOUR::Graph::helper_thread (this=0x3047de0)
    at ../libs/ardour/graph.cc:412
#7  0x00007f2b8bf5d72f in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (
    this=0x7f2b5c22bd18, p=0x3047de0)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#8  0x00007f2b8bf5cf44 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (
    this=0x7f2b5c22bd28, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#9  0x00007f2b8bf5c563 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (
    this=0x7f2b5c22bd18)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#10 0x00007f2b8bf5bf59 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:153
#11 0x00000000005e2017 in boost::function0<void>::operator() (
    this=0x7f2b5c22bd10)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:760
#12 0x00007f2b6e647717 in ARDOUR::JACKAudioBackend::_start_process_thread (
    arg=0x30582b0) at ../libs/backends/jack/jack_audiobackend.cc:903
#13 0x00007f2b85843182 in start_thread (arg=0x7f2b5c22c700)
    at pthread_create.c:312
#14 0x00007f2b8285747d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 4 (Thread 0x7f2b6c968700 (LWP 4711)):
#0  0x00007f2b8284a12d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f2b89a31aa5 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#2  0x00007f2b89a31bb5 in g_main_loop_run ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#3  0x00007f2b8aba5fd9 in BaseUI::main_thread (this=0x34ff360)
    at ../libs/pbd/base_ui.cc:86
#4  0x00007f2b8aba9d3f in sigc::bound_mem_functor0<void, BaseUI>::operator() (
    this=0x34ffb28)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#5  0x00007f2b8aba9a6c in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator() (this=0x34ffb20)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#6  0x00007f2b8aba9423 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it (rep=0x34ffaf0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#7  0x00007f2b89fbbb72 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglibmm-2.4.so.1
#8  0x00007f2b89a5c7f5 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#9  0x00007f2b85843182 in start_thread (arg=0x7f2b6c968700)
    at pthread_create.c:312
#10 0x00007f2b8285747d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 3 (Thread 0x7f2b5c2ad700 (LWP 4708)):
#0  sem_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/sem_wait.S:85
#1  0x00007f2b8bf59250 in PBD::ProcessSemaphore::wait (this=0x3047e90)
    at /home/ardour/linux-x86_64/ardour/libs/pbd/pbd/semutils.h:56
#2  0x00007f2b8bf571e8 in ARDOUR::Graph::run_one (this=0x3047de0)
    at ../libs/ardour/graph.cc:381
#3  0x00007f2b8bf57582 in ARDOUR::Graph::helper_thread (this=0x3047de0)
    at ../libs/ardour/graph.cc:412
#4  0x00007f2b8bf5d72f in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (
    this=0x7f2b5c2acd18, p=0x3047de0)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#5  0x00007f2b8bf5cf44 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (
    this=0x7f2b5c2acd28, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#6  0x00007f2b8bf5c563 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (
    this=0x7f2b5c2acd18)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#7  0x00007f2b8bf5bf59 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:153
#8  0x00000000005e2017 in boost::function0<void>::operator() (
    this=0x7f2b5c2acd10)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:760
#9  0x00007f2b6e647717 in ARDOUR::JACKAudioBackend::_start_process_thread (
    arg=0x3058100) at ../libs/backends/jack/jack_audiobackend.cc:903
#10 0x00007f2b85843182 in start_thread (arg=0x7f2b5c2ad700)
    at pthread_create.c:312
#11 0x00007f2b8285747d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7f2b5c3af700 (LWP 4704)):
#0  sem_timedwait ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/sem_timedwait.S:101
#1  0x00007f2b6e3da6cc in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#2  0x00007f2b6e3be0f9 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#3  0x00007f2b6e3c2bc6 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#4  0x00007f2b6e3bc7ba in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#5  0x00007f2b6e3bc67e in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#6  0x00007f2b6e3ba29e in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#7  0x00007f2b6e3b5dd8 in jack_cycle_wait ()
   from /usr/lib/x86_64-linux-gnu/libjack.so.0
#8  0x00007f2b6e663bb8 in WJACK_cycle_wait (client=0x2c12d00)
    at ../libs/backends/jack/weak_libjack.def:78
#9  0x00007f2b6e6477cc in ARDOUR::JACKAudioBackend::process_thread (
    this=0x27ba260) at ../libs/backends/jack/jack_audiobackend.cc:932
#10 0x00007f2b6e64776c in ARDOUR::JACKAudioBackend::_process_thread (
    arg=0x27ba260) at ../libs/backends/jack/jack_audiobackend.cc:911
#11 0x00007f2b6e3ba26b in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#12 0x00007f2b6e3d9858 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#13 0x00007f2b85843182 in start_thread (arg=0x7f2b5c3af700)
    at pthread_create.c:312
#14 0x00007f2b8285747d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7f2b27fff700 (LWP 4717)):
#0  malloc_consolidate (av=av@entry=0x7f2b1c000020) at malloc.c:4157
#1  0x00007f2b827dcdf8 in _int_malloc (av=0x7f2b1c000020, bytes=12288)
    at malloc.c:3423
#2  0x00007f2b827df7b0 in __GI___libc_malloc (bytes=12288) at malloc.c:2891
#3  0x00007f2b830ccf18 in operator new(unsigned long) ()
   from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#4  0x00007f2b830ccfb9 in operator new[](unsigned long) ()
   from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#5  0x00007f2b8ccdefea in ArdourCanvas::WaveView::generate_image (
    this=0x3c1e030, req=..., in_render_thread=true)
    at ../libs/canvas/wave_view.cc:968
#6  0x00007f2b8cce10d6 in ArdourCanvas::WaveView::drawing_thread ()
    at ../libs/canvas/wave_view.cc:1543
#7  0x0000000000c99e45 in sigc::pointer_functor0<void>::operator() (
    this=0x2a7dee8)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#8  0x0000000000c97394 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x2a7dee0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#9  0x0000000000c93abb in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x2a7deb0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#10 0x00007f2b89fbbb72 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglibmm-2.4.so.1
#11 0x00007f2b89a5c7f5 in ?? ()
   from /opt/Ardour-4.1.405-dbg/lib/libglib-2.0.so.0
#12 0x00007f2b85843182 in start_thread (arg=0x7f2b27fff700)
    at pthread_create.c:312
#13 0x00007f2b8285747d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
Undefined command: "exit".  Try "help".
quit
gdb.txt (31,050 bytes)

Sideboard

2015-08-01 22:54

reporter   ~0016982

Could now reproduce with Ardour-4.1.485-dbg.

2015-08-01 22:55

 

gdb-Ardour-4.1.485-dbg.log (6,750 bytes)

Sideboard

2015-08-04 10:56

reporter   ~0016986

The above tests were done with Ubuntu 14.04 LTS.

Sideboard

2015-08-31 19:17

reporter   ~0017128

Could reproduce with Ardour-4.2.64-dgb.

x42

2015-09-02 12:42

administrator   ~0017132

There is a potential fix for this in Ardour-4.2-148-g93aa8d3

but I could not reproduce the issue in the first place, so I can't be sure.

x42

2015-09-02 14:56

administrator   ~0017134

Last edited: 2015-09-02 14:58

another backtrace from the_CLA (just in case) with Ardour-4.2-146-g7521028 http://pastebin.com/kH2XZyw2

Sideboard

2015-10-26 21:16

reporter   ~0017516

Last edited: 2015-10-26 21:24

Issue still there, both with 4.4 and 4.4.143.

Edit: Sorry, I uploaded backtrace logs without symbols and don't know how to delete them. I uploaded a better version afterwards.

2015-10-26 21:17

 

Ardour_64bit_4.4-dgb_crash_backtrace.log (2,146 bytes)

2015-10-26 21:17

 

Ardour_64bit_4.4.143-dgb_crash_backtrace.log (1,762 bytes)

2015-10-26 21:21

 

Ardour_64bit_4.4.143-dgb_crash_backtrace.txt (29,584 bytes)
Thread 18 (Thread 0x7fe653958700 (LWP 4331)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe65f198524 in g_cond_wait () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#2  0x00007fe6619c35f9 in peak_thread_work () at ../libs/ardour/source_factory.cc:71
#3  0x0000000000ca3b31 in sigc::pointer_functor0<void>::operator() (this=0x20ee748) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x0000000000ca0fdc in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x20ee740)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#5  0x0000000000c9d569 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x20ee710)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#6  0x00007fe65f6d6b72 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglibmm-2.4.so.1
#7  0x00007fe65f1777f5 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#8  0x00007fe65af5d6aa in start_thread (arg=0x7fe653958700) at pthread_create.c:333
#9  0x00007fe657f73eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 17 (Thread 0x7fe632ffd700 (LWP 4364)):
#0  0x00007fe65af6653d in nanosleep () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fe65f179298 in g_usleep () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#2  0x00007fe66157b812 in ARDOUR::AutomationWatch::thread (this=0x36baa30) at ../libs/ardour/automation_watch.cc:153
#3  0x00007fe66157ec8d in boost::_mfi::mf0<void, ARDOUR::AutomationWatch>::operator() (this=0x2fa6ad0, p=0x36baa30)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007fe66157e8d0 in boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list0> (this=0x2fa6ae0, 
    f=..., a=...) at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#5  0x00007fe66157e4cb in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >::operator() (
    this=0x2fa6ad0) at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#6  0x00007fe66157e456 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > > >::operator() (this=0x2fa6ad0) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#7  0x00007fe66157e056 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >, void>::call_it (rep=0x2fa6aa0) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007fe65f6d6b72 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglibmm-2.4.so.1
#9  0x00007fe65f1777f5 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#10 0x00007fe65af5d6aa in start_thread (arg=0x7fe632ffd700) at pthread_create.c:333
#11 0x00007fe657f73eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 16 (Thread 0x7fe6317fa700 (LWP 4363)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe661953f44 in ARDOUR::Session::emit_thread_run (this=0x24d6730) at ../libs/ardour/session_process.cc:1313
#2  0x00007fe661953eee in ARDOUR::Session::emit_thread (arg=0x24d6730) at ../libs/ardour/session_process.cc:1302
#3  0x00007fe65af5d6aa in start_thread (arg=0x7fe6317fa700) at pthread_create.c:333
#4  0x00007fe657f73eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 15 (Thread 0x7fe6510ac700 (LWP 4335)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe65f198524 in g_cond_wait () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#2  0x00007fe66151fe45 in ARDOUR::AudioEngine::do_devicelist_update (this=0x20f77e0) at ../libs/ardour/audioengine.cc:537
#3  0x00007fe66152d235 in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x20dce30, p=0x20f77e0) at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007fe66152ce44 in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (this=0x20dce40, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#5  0x00007fe66152c745 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (this=0x20dce30)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#6  0x00007fe66152bf32 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x20dce30) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#7  0x00007fe66152b15a in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x20dce00) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007fe65f6d6b72 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglibmm-2.4.so.1
#9  0x00007fe65f1777f5 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#10 0x00007fe65af5d6aa in start_thread (arg=0x7fe6510ac700) at pthread_create.c:333
#11 0x00007fe657f73eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 14 (Thread 0x7fe6518ad700 (LWP 4334)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe65f198524 in g_cond_wait () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#2  0x00007fe66151fbff in ARDOUR::AudioEngine::do_reset_backend (this=0x20f77e0) at ../libs/ardour/audioengine.cc:502
#3  0x00007fe66152d235 in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x20dcde0, p=0x20f77e0) at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007fe66152ce44 in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (this=0x20dcdf0, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#5  0x00007fe66152c745 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (this=0x20dcde0)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#6  0x00007fe66152bf32 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x20dcde0) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#7  0x00007fe66152b15a in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x20dcdb0) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007fe65f6d6b72 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglibmm-2.4.so.1
#9  0x00007fe65f1777f5 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#10 0x00007fe65af5d6aa in start_thread (arg=0x7fe6518ad700) at pthread_create.c:333
#11 0x00007fe657f73eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 13 (Thread 0x7fe652956700 (LWP 4333)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe65f198524 in g_cond_wait () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#2  0x00007fe6614c790f in ARDOUR::Analyser::work () at ../libs/ardour/analyser.cc:85
#3  0x00007fe6614c76a5 in analyser_work () at ../libs/ardour/analyser.cc:50
#4  0x0000000000ca3b31 in sigc::pointer_functor0<void>::operator() (this=0x208ac08) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#5  0x0000000000ca0fdc in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x208ac00)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#6  0x0000000000c9d569 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x208abd0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#7  0x00007fe65f6d6b72 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglibmm-2.4.so.1
#8  0x00007fe65f1777f5 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#9  0x00007fe65af5d6aa in start_thread (arg=0x7fe652956700) at pthread_create.c:333
#10 0x00007fe657f73eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 12 (Thread 0x7fe654159700 (LWP 4330)):
#0  0x00007fe65af6653d in nanosleep () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fe65f179298 in g_usleep () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#2  0x0000000000fc9630 in gui_event_loop (ptr=0x0) at ../gtk2_ardour/linux_vst_gui_support.cc:476
#3  0x00007fe65af5d6aa in start_thread (arg=0x7fe654159700) at pthread_create.c:333
#4  0x00007fe657f73eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 11 (Thread 0x7fe64221b700 (LWP 4355)):
#0  0x00007fe657f688dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fe643873f96 in jack_cycle_wait () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#2  0x00007fe643af3768 in WJACK_cycle_wait (client=0x24e68f0) at ../libs/backends/jack/weak_libjack.def:78
#3  0x00007fe643ad6a00 in ARDOUR::JACKAudioBackend::process_thread (this=0x2223000) at ../libs/backends/jack/jack_audiobackend.cc:937
#4  0x00007fe643ad69a0 in ARDOUR::JACKAudioBackend::_process_thread (arg=0x2223000) at ../libs/backends/jack/jack_audiobackend.cc:916
#5  0x00007fe643874347 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#6  0x00007fe65af5d6aa in start_thread (arg=0x7fe64221b700) at pthread_create.c:333
#7  0x00007fe657f73eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 10 (Thread 0x7fe6336fb800 (LWP 4361)):
#0  0x00007fe657f688dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fe6602d8871 in CrossThreadChannel::poll_for_request (this=0x24d63b0) at ../libs/pbd/crossthread.posix.cc:80
#2  0x00007fe6602d88d9 in CrossThreadChannel::receive (this=0x24d63b0, msg=@0x7fe6336fa8bf: 0 '\000', wait=true) at ../libs/pbd/crossthread.posix.cc:101
#3  0x00007fe6615902ba in ARDOUR::Butler::thread_work (this=0x24d6320) at ../libs/ardour/butler.cc:175
#4  0x00007fe66158ff5d in ARDOUR::Butler::_thread_work (arg=0x24d6320) at ../libs/ardour/butler.cc:156
#5  0x00007fe6602f169a in fake_thread_start (arg=0x2db2060) at ../libs/pbd/pthread_utils.cc:93
#6  0x00007fe65af5d6aa in start_thread (arg=0x7fe6336fb800) at pthread_create.c:333
#7  0x00007fe657f73eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 9 (Thread 0x7fe653157700 (LWP 4332)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe65f198524 in g_cond_wait () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#2  0x00007fe6619c35f9 in peak_thread_work () at ../libs/ardour/source_factory.cc:71
#3  0x0000000000ca3b31 in sigc::pointer_functor0<void>::operator() (this=0x20da9a8) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x0000000000ca0fdc in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x20da9a0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#5  0x0000000000c9d569 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x20da970)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#6  0x00007fe65f6d6b72 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglibmm-2.4.so.1
#7  0x00007fe65f1777f5 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#8  0x00007fe65af5d6aa in start_thread (arg=0x7fe653157700) at pthread_create.c:333
#9  0x00007fe657f73eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7fe60ffff700 (LWP 4368)):
#0  std::min<float> (__a=@0x7fe60fffe708: -3.61204184e-05, __b=@0x7fe61e5dd2b0: -3.54051626e-05) at /usr/include/c++/4.4/bits/stl_algobase.h:193
#1  0x00007fe661552bf4 in ARDOUR::AudioSource::read_peaks_with_fpp (this=0x2470410, peaks=0x7fe6029bffe0, npeaks=1153, start=459523125, cnt=23346123, samples_per_visual_peak=20250, 
    samples_per_file_peak=256) at ../libs/ardour/audiosource.cc:605
#2  0x00007fe66155151d in ARDOUR::AudioSource::read_peaks (this=0x2470410, peaks=0x7fe6029bffe0, npeaks=1153, start=459523125, cnt=23346123, samples_per_visual_peak=20250)
    at ../libs/ardour/audiosource.cc:336
#3  0x00007fe66153e08a in ARDOUR::AudioRegion::read_peaks (this=0x52b5000, buf=0x7fe6029bffe0, npeaks=1153, offset=459523125, cnt=23346123, chan_n=0, frames_per_pixel=20250)
    at ../libs/ardour/audioregion.cc:433
#4  0x00007fe66263a0ec in ArdourCanvas::WaveView::generate_image (this=0x362fc80, req=..., in_render_thread=true) at ../libs/canvas/wave_view.cc:987
#5  0x00007fe66263c207 in ArdourCanvas::WaveView::drawing_thread () at ../libs/canvas/wave_view.cc:1566
#6  0x0000000000ca3b31 in sigc::pointer_functor0<void>::operator() (this=0x3ffcc48) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#7  0x0000000000ca0fdc in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x3ffcc40)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#8  0x0000000000c9d569 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x3ffcc10)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#9  0x00007fe65f6d6b72 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglibmm-2.4.so.1
#10 0x00007fe65f1777f5 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#11 0x00007fe65af5d6aa in start_thread (arg=0x7fe60ffff700) at pthread_create.c:333
#12 0x00007fe657f73eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7fe642b6e700 (LWP 4343)):
#0  0x00007fe657f688dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fe65f14caa5 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#2  0x00007fe65f14ccc7 in g_main_context_iteration () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#3  0x00007fe65f14cd19 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#4  0x00007fe65f1777f5 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#5  0x00007fe65af5d6aa in start_thread (arg=0x7fe642b6e700) at pthread_create.c:333
#6  0x00007fe657f73eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7fe633fff700 (LWP 4352)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe6438759a3 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#2  0x00007fe65af5d6aa in start_thread (arg=0x7fe633fff700) at pthread_create.c:333
#3  0x00007fe657f73eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7fe6401e5700 (LWP 4359)):
#0  0x00007fe65af650c9 in futex_abstimed_wait (cancel=true, private=<optimized out>, abstime=0x0, expected=0, futex=0x2950d30) at sem_waitcommon.c:42
#1  do_futex_wait (sem=sem@entry=0x2950d30, abstime=0x0) at sem_waitcommon.c:208
#2  0x00007fe65af65164 in __new_sem_wait_slow (sem=0x2950d30, abstime=0x0) at sem_waitcommon.c:277
#3  0x00007fe65af6520a in __new_sem_wait (sem=<optimized out>) at sem_wait.c:28
#4  0x00007fe6616868ae in PBD::ProcessSemaphore::wait (this=0x2950d30) at /home/ardour/linux-x86_64/ardour/libs/pbd/pbd/semutils.h:56
#5  0x00007fe661684824 in ARDOUR::Graph::run_one (this=0x2950c80) at ../libs/ardour/graph.cc:387
#6  0x00007fe661684bc6 in ARDOUR::Graph::helper_thread (this=0x2950c80) at ../libs/ardour/graph.cc:418
#7  0x00007fe66168ad91 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fe6401e4d58, p=0x2950c80) at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#8  0x00007fe66168a5a6 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fe6401e4d68, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#9  0x00007fe661689bc5 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fe6401e4d58)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#10 0x00007fe6616895bb in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:153
#11 0x00000000005e3ee3 in boost::function0<void>::operator() (this=0x7fe6401e4d50) at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:760
#12 0x00007fe643ad694b in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x2961200) at ../libs/backends/jack/jack_audiobackend.cc:908
#13 0x00007fe65af5d6aa in start_thread (arg=0x7fe6401e5700) at pthread_create.c:333
#14 0x00007fe657f73eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7fe6327fc700 (LWP 4362)):
#0  0x00007fe657f688dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fe65f14caa5 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#2  0x00007fe65f14cbb5 in g_main_loop_run () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#3  0x00007fe6602c1e29 in BaseUI::main_thread (this=0x2db2320) at ../libs/pbd/base_ui.cc:86
#4  0x00007fe6602c5a4b in sigc::bound_mem_functor0<void, BaseUI>::operator() (this=0x2db2ac8) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#5  0x00007fe6602c578c in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator() (this=0x2db2ac0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#6  0x00007fe6602c52a5 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it (rep=0x2db2a90)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#7  0x00007fe65f6d6b72 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglibmm-2.4.so.1
#8  0x00007fe65f1777f5 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#9  0x00007fe65af5d6aa in start_thread (arg=0x7fe6327fc700) at pthread_create.c:333
#10 0x00007fe657f73eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7fe640266700 (LWP 4358)):
#0  0x00007fe65af650c9 in futex_abstimed_wait (cancel=true, private=<optimized out>, abstime=0x0, expected=0, futex=0x2950d30) at sem_waitcommon.c:42
#1  do_futex_wait (sem=sem@entry=0x2950d30, abstime=0x0) at sem_waitcommon.c:208
#2  0x00007fe65af65164 in __new_sem_wait_slow (sem=0x2950d30, abstime=0x0) at sem_waitcommon.c:277
#3  0x00007fe65af6520a in __new_sem_wait (sem=<optimized out>) at sem_wait.c:28
#4  0x00007fe6616868ae in PBD::ProcessSemaphore::wait (this=0x2950d30) at /home/ardour/linux-x86_64/ardour/libs/pbd/pbd/semutils.h:56
#5  0x00007fe661684824 in ARDOUR::Graph::run_one (this=0x2950c80) at ../libs/ardour/graph.cc:387
#6  0x00007fe661684f87 in ARDOUR::Graph::main_thread (this=0x2950c80) at ../libs/ardour/graph.cc:456
#7  0x00007fe66168ad91 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fe640265d58, p=0x2950c80) at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#8  0x00007fe66168a5a6 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fe640265d68, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#9  0x00007fe661689bc5 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fe640265d58)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#10 0x00007fe6616895bb in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:153
#11 0x00000000005e3ee3 in boost::function0<void>::operator() (this=0x7fe640265d50) at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:760
#12 0x00007fe643ad694b in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x2960ef0) at ../libs/backends/jack/jack_audiobackend.cc:908
#13 0x00007fe65af5d6aa in start_thread (arg=0x7fe640266700) at pthread_create.c:333
#14 0x00007fe657f73eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7fe640164700 (LWP 4360)):
#0  0x00007fe65af650c9 in futex_abstimed_wait (cancel=true, private=<optimized out>, abstime=0x0, expected=0, futex=0x2950d50) at sem_waitcommon.c:42
#1  do_futex_wait (sem=sem@entry=0x2950d50, abstime=0x0) at sem_waitcommon.c:208
#2  0x00007fe65af65164 in __new_sem_wait_slow (sem=0x2950d50, abstime=0x0) at sem_waitcommon.c:277
#3  0x00007fe65af6520a in __new_sem_wait (sem=<optimized out>) at sem_wait.c:28
#4  0x00007fe6616868ae in PBD::ProcessSemaphore::wait (this=0x2950d50) at /home/ardour/linux-x86_64/ardour/libs/pbd/pbd/semutils.h:56
#5  0x00007fe661683b81 in ARDOUR::Graph::restart_cycle (this=0x2950c80) at ../libs/ardour/graph.cc:261
#6  0x00007fe661683b4b in ARDOUR::Graph::dec_ref (this=0x2950c80) at ../libs/ardour/graph.cc:248
#7  0x00007fe66168ba04 in ARDOUR::GraphNode::finish (this=0x2c4a580, chain=1) at ../libs/ardour/graphnode.cc:71
#8  0x00007fe661684a1e in ARDOUR::Graph::run_one (this=0x2950c80) at ../libs/ardour/graph.cc:401
#9  0x00007fe661684bc6 in ARDOUR::Graph::helper_thread (this=0x2950c80) at ../libs/ardour/graph.cc:418
#10 0x00007fe66168ad91 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fe640163d58, p=0x2950c80) at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#11 0x00007fe66168a5a6 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fe640163d68, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#12 0x00007fe661689bc5 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fe640163d58)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#13 0x00007fe6616895bb in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:153
#14 0x00000000005e3ee3 in boost::function0<void>::operator() (this=0x7fe640163d50) at /home/ardour/linux-x86_64/gtk/inst/include/boost/function/function_template.hpp:760
#15 0x00007fe643ad694b in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x2961510) at ../libs/backends/jack/jack_audiobackend.cc:908
#16 0x00007fe65af5d6aa in start_thread (arg=0x7fe640164700) at pthread_create.c:333
#17 0x00007fe657f73eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7fe662ea38c0 (LWP 4321)):
#0  0x00007fe657ea2267 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
#1  0x00007fe657ea3eca in __GI_abort () at abort.c:89
#2  0x00007fe657e9b03d in __assert_fail_base (fmt=0x7fe657ffd028 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", 
    assertion=assertion@entry=0x7fe65db248e0 "((*&(&surface->ref_count)->ref_count) > 0)", file=file@entry=0x7fe65db24828 "cairo-surface.c", line=line@entry=928, 
    function=function@entry=0x7fe65db26210 "cairo_surface_reference") at assert.c:92
#3  0x00007fe657e9b0f2 in __GI___assert_fail (assertion=0x7fe65db248e0 "((*&(&surface->ref_count)->ref_count) > 0)", file=0x7fe65db24828 "cairo-surface.c", line=928, 
    function=0x7fe65db26210 "cairo_surface_reference") at assert.c:101
#4  0x00007fe65daad6c1 in cairo_surface_reference () from /opt/Ardour-4.4.143-dbg/lib/libcairo.so.2
#5  0x00007fe65da8fa7b in cairo_pattern_create_for_surface () from /opt/Ardour-4.4.143-dbg/lib/libcairo.so.2
#6  0x00007fe65da56b6c in ?? () from /opt/Ardour-4.4.143-dbg/lib/libcairo.so.2
#7  0x00007fe65da4e587 in cairo_set_source_surface () from /opt/Ardour-4.4.143-dbg/lib/libcairo.so.2
#8  0x00007fe65b699d64 in Cairo::Context::set_source(Cairo::RefPtr<Cairo::Surface> const&, double, double) () from /opt/Ardour-4.4.143-dbg/lib/libcairomm-1.0.so.1
#9  0x00007fe66263b3cc in ArdourCanvas::WaveView::render (this=0x4129130, area=..., context=...) at ../libs/canvas/wave_view.cc:1234
#10 0x00007fe66260e884 in ArdourCanvas::Item::render_children (this=0x40f0e10, area=..., context=...) at ../libs/canvas/item.cc:800
#11 0x00007fe66260492d in ArdourCanvas::Container::render (this=0x40f0e10, area=..., context=...) at ../libs/canvas/container.cc:43
#12 0x00007fe66260e884 in ArdourCanvas::Item::render_children (this=0x398e030, area=..., context=...) at ../libs/canvas/item.cc:800
#13 0x00007fe66260492d in ArdourCanvas::Container::render (this=0x398e030, area=..., context=...) at ../libs/canvas/container.cc:43
#14 0x00007fe66260e884 in ArdourCanvas::Item::render_children (this=0x36455e0, area=..., context=...) at ../libs/canvas/item.cc:800
#15 0x00007fe66260492d in ArdourCanvas::Container::render (this=0x36455e0, area=..., context=...) at ../libs/canvas/container.cc:43
#16 0x00007fe66260e884 in ArdourCanvas::Item::render_children (this=0x28a55c0, area=..., context=...) at ../libs/canvas/item.cc:800
#17 0x00007fe66260492d in ArdourCanvas::Container::render (this=0x28a55c0, area=..., context=...) at ../libs/canvas/container.cc:43
#18 0x00007fe66260e884 in ArdourCanvas::Item::render_children (this=0x2902c70, area=..., context=...) at ../libs/canvas/item.cc:800
#19 0x00007fe66260492d in ArdourCanvas::Container::render (this=0x2902c70, area=..., context=...) at ../libs/canvas/container.cc:43
#20 0x00007fe66262bb1c in ArdourCanvas::ScrollGroup::render (this=0x2902c70, area=..., context=...) at ../libs/canvas/scroll_group.cc:67
#21 0x00007fe66260e884 in ArdourCanvas::Item::render_children (this=0x29a1d90, area=..., context=...) at ../libs/canvas/item.cc:800
#22 0x00007fe66260492d in ArdourCanvas::Container::render (this=0x29a1d90, area=..., context=...) at ../libs/canvas/container.cc:43
#23 0x00007fe6625f1758 in ArdourCanvas::Canvas::render (this=0x29a1d78, area=..., context=...) at ../libs/canvas/canvas.cc:121
#24 0x00007fe6625f5b67 in ArdourCanvas::GtkCanvas::on_expose_event (this=0x29a1d78, ev=0x7fffed97eb20) at ../libs/canvas/canvas.cc:814
#25 0x00007fe65c681bd3 in Gtk::Widget_Class::expose_event_callback(_GtkWidget*, _GdkEventExpose*) () from /opt/Ardour-4.4.143-dbg/lib/libgtkmm-2.4.so.1
#26 0x00007fe65e5b9f38 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libgtk-x11-2.0.so.0
#27 0x00007fe65f44f1e2 in g_closure_invoke () from /opt/Ardour-4.4.143-dbg/lib/libgobject-2.0.so.0
#28 0x00007fe65f466272 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libgobject-2.0.so.0
#29 0x00007fe65f466f98 in g_signal_emit_valist () from /opt/Ardour-4.4.143-dbg/lib/libgobject-2.0.so.0
#30 0x00007fe65f4677e3 in g_signal_emit () from /opt/Ardour-4.4.143-dbg/lib/libgobject-2.0.so.0
#31 0x00007fe65e710d8f in ?? () from /opt/Ardour-4.4.143-dbg/lib/libgtk-x11-2.0.so.0
#32 0x00007fe65e5b4027 in gtk_main_do_event () from /opt/Ardour-4.4.143-dbg/lib/libgtk-x11-2.0.so.0
#33 0x00007fe65e1d7782 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libgdk-x11-2.0.so.0
#34 0x00007fe65e1d772f in ?? () from /opt/Ardour-4.4.143-dbg/lib/libgdk-x11-2.0.so.0
#35 0x00007fe65e1d0554 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libgdk-x11-2.0.so.0
#36 0x00007fe65e1d08b9 in gdk_window_process_all_updates () from /opt/Ardour-4.4.143-dbg/lib/libgdk-x11-2.0.so.0
#37 0x00007fe65e1d0929 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libgdk-x11-2.0.so.0
#38 0x00007fe65e19dde6 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libgdk-x11-2.0.so.0
#39 0x00007fe65f14ac95 in g_main_context_dispatch () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#40 0x00007fe65f14cb08 in ?? () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#41 0x00007fe65f14cbb5 in g_main_loop_run () from /opt/Ardour-4.4.143-dbg/lib/libglib-2.0.so.0
#42 0x00007fe65e5b3657 in gtk_main () from /opt/Ardour-4.4.143-dbg/lib/libgtk-x11-2.0.so.0
#43 0x00007fe66229b06d in Gtkmm2ext::UI::run (this=0x20b6dc0, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:280
#44 0x0000000000a701d7 in main (argc=1, argv=0x7fffed97f158) at ../gtk2_ardour/main.cc:396
quit

paul

2015-10-27 01:42

administrator   ~0017517

I also cannot reproduce this. Assuming that you still can, could you run a debug build from the command line with

    -D waveview

added to the command? It will print out quite a bit of information - we would want the last 100 or so lines before the crash. Thanks.

paul

2015-10-27 02:20

administrator   ~0017522

replicated here, and run with appropriate debugging ...

x42

2015-12-10 17:44

administrator   ~0017719

another BT: http://pastebin.com/93PiQgFM from the CLA.

paul

2015-12-10 19:28

administrator   ~0017720

same cause as before ... using a cairo surface with a zero reference count.

x42

2016-03-04 16:10

administrator   ~0018038

We believe this issue is resolved since Ardour 4.7-274.

It'd be great to get feedback from users who previously experienced these crashes.

Sideboard

2016-04-10 21:56

reporter   ~0018146

Sorry for the enormous delay.

I tried 4.7.408 some weeks ago but it crashed after a short time with the Ardour window still open but greyed out and unresponsive. I thought that would be a different error that might get fixed soon as had happened in the past.

Now I checked 4.7.660 and it's the same symptom. Not sure if it's the same bug I opened the issue for but the backtrace might help anyway.

Sideboard

2016-04-10 21:56

reporter  

ardour-4.7.660-dbg.log (31,745 bytes)

Sideboard

2016-05-01 21:26

reporter   ~0018166

Tried 4.7.909, now 4.7.914. Both crashed. Last one after about 10 minutes of recording with four mono tracks and one stereo track. Backtrace attached.

Sideboard

2016-05-01 21:26

reporter  

Ardour_64bit-4.7.914-dbg-gcc5.log (32,356 bytes)

paul

2016-05-01 22:15

administrator   ~0018167

OK, I guess this establishes that this is still a problem. A simple fix for us is to just disable threaded waveviews again, but we still have no idea of how this crash is happening.

x42

2017-03-15 13:44

administrator   ~0019531

It's possible that this issue is actually https://bugs.freedesktop.org/show_bug.cgi?id=91967 (fixed in libcairo 1.14.8) related to X11/Xshm which would explain why it's grapics-card/system/memory dependent and some systems are affected differently than others.

Ardour nightly builds since 2017-03-15 Ardour-5.8-139-gcd44623 now come with updated libcairo.

It's still unclear that if this is the actual cause, so it would be great if users if users who have affected systems could try some long-term recordings and report back.

PS. On the_CLA's test-rig (which was affected) the issue seems gone.. 2 x ~2 hours continuous recording without crashes.

colinf

2017-05-02 11:58

updater   ~0019646

I saw this at the weekend on my studio desktop machine, with Saturday's ardour git built from source on fully up-to-date Debian testing, which as far as I know has libcairo 1.14.8-1. I think this is the first time it's happened on that machine.

I have a backtrace if anyone's interested, though I presume it's unlikely to shed much further light, but one other thing I recently changed on that machine was to replace the standard debian 4.9.0-2-amd64 kernel with 4.9.25 built from source with PREEMPT_FULL.

The machine has dual graphics cards: I think they're NVidia, with the free driver. I'll double-check the model next time I'm there.

x42

2017-05-02 12:14

administrator   ~0019647

@Colinf, if you could attach the backtrace here, that might be helpful. Is this also a

cairo-surface.c:928: cairo_surface_reference: Assertion `((*&(&surface->ref_count)->ref_count) > 0)' failed

or something different?

colinf

2017-05-02 14:26

updater   ~0019648

I think it was that same assertion failure, yes, though I was trying to both play guitar and engineer the session when it happened, so my attention was somewhat divided...

I'll grab the backtrace from the studio machine when I'm passing by there later.

colinf

2017-05-02 19:08

updater  

ardour-recording-crash-bt (58,461 bytes)
colinf@starling-thinkstation:~/src/ardour/ardour/gtk2_ardour$ ./ardbg
GNU gdb (Debian 7.12-6) 7.12.0.20161007-git
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from ./../build/gtk2_ardour/ardour-5.8.279...done.
(gdb) core-file core 
[New LWP 2627]
[New LWP 2630]
[New LWP 2640]
[New LWP 2655]
[New LWP 2650]
[New LWP 2633]
[New LWP 2631]
[New LWP 2658]
[New LWP 2654]
[New LWP 2674]
[New LWP 2664]
[New LWP 2653]
[New LWP 2644]
[New LWP 2634]
[New LWP 2639]
[New LWP 2663]
[New LWP 2652]
[New LWP 2645]
[New LWP 2661]
[New LWP 2656]
[New LWP 2657]
[New LWP 2668]
[New LWP 2667]
[New LWP 2665]
[New LWP 2662]
[New LWP 2669]
[New LWP 2670]
[New LWP 2651]
[New LWP 2660]
[New LWP 2659]
[New LWP 2666]
[New LWP 2629]
[New LWP 2632]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by `./../build/gtk2_ardour/ardour-5.8.279'.
Program terminated with signal SIGABRT, Aborted.
#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
51	../sysdeps/unix/sysv/linux/raise.c: No such file or directory.
[Current thread is 1 (Thread 0x7fa4e7f1b200 (LWP 2627))]
(gdb) thread apply all bt

Thread 33 (Thread 0x7fa4c720f700 (LWP 2632)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007fa4e376624f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa4e61cd222 in ARDOUR::Analyser::work () at ../libs/ardour/analyser.cc:87
#3  0x00007fa4e61cd00e in analyser_work () at ../libs/ardour/analyser.cc:52
#4  0x00005598def16803 in sigc::pointer_functor0<void>::operator() (this=0x5598e058ea18) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#5  0x00005598def13c10 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x5598e058ea10) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00005598def0ff0f in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x5598e058e9e0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#7  0x00007fa4e3c8d52d in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#8  0x00007fa4e37483d5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007fa4df4ca494 in start_thread (arg=0x7fa4c720f700) at pthread_create.c:333
#10 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 32 (Thread 0x7fa4c8a12700 (LWP 2629)):
#0  0x00007fa4df4d37dd in nanosleep () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fa4e3749ab8 in g_usleep () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00005598df232a13 in gui_event_loop (ptr=0x0) at ../gtk2_ardour/linux_vst_gui_support.cc:459
#3  0x00007fa4df4ca494 in start_thread (arg=0x7fa4c8a12700) at pthread_create.c:333
#4  0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 31 (Thread 0x7fa4921a0700 (LWP 2666)):
#0  0x00007fa4dc1e64ed in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fa4e37209f6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa4e3720d82 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa4e49166c0 in BaseUI::main_thread (this=0x5598e2ddda70) at ../libs/pbd/base_ui.cc:86
#4  0x00007fa4e491a7b4 in sigc::bound_mem_functor0<void, BaseUI>::operator() (this=0x5598e2dde1b8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007fa4e491a3f4 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator() (this=0x5598e2dde1b0)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007fa4e4919e35 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it (rep=0x5598e2dde180)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#7  0x00007fa4e3c8d52d in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#8  0x00007fa4e37483d5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007fa4df4ca494 in start_thread (arg=0x7fa4921a0700) at pthread_create.c:333
#10 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 30 (Thread 0x7fa49260a700 (LWP 2659)):
#0  0x00007fa4df4d2536 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5598e2019ad8) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007fa4df4d25e4 in __new_sem_wait_slow (sem=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007fa4e6390000 in PBD::Semaphore::wait (this=0x5598e2019ad8) at /home/colinf/src/ardour/ardour/libs/pbd/pbd/semutils.h:62
#4  0x00007fa4e638e178 in ARDOUR::Graph::run_one (this=0x5598e2019a00) at ../libs/ardour/graph.cc:405
#5  0x00007fa4e638e536 in ARDOUR::Graph::helper_thread (this=0x5598e2019a00) at ../libs/ardour/graph.cc:436
#6  0x00007fa4e6394b67 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fa492609b58, p=0x5598e2019a00) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007fa4e63942d0 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fa492609b68, f=..., 
    a=...) at /usr/include/boost/bind/bind.hpp:259
#8  0x00007fa4e639372f in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fa492609b58)
    at /usr/include/boost/bind/bind.hpp:1294
#9  0x00007fa4e6392fbe in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
#10 0x00005598de741c86 in boost::function0<void>::operator() (this=0x7fa492609b50) at /usr/include/boost/function/function_template.hpp:771
#11 0x00007fa4b6b9bb6e in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x5598e1c505a0) at ../libs/backends/jack/jack_audiobackend.cc:936
#12 0x00007fa4df4ca494 in start_thread (arg=0x7fa49260a700) at pthread_create.c:333
#13 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 29 (Thread 0x7fa492589700 (LWP 2660)):
#0  0x00007fa4df4d2536 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5598e2019ad8) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007fa4df4d25e4 in __new_sem_wait_slow (sem=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007fa4e6390000 in PBD::Semaphore::wait (this=0x5598e2019ad8) at /home/colinf/src/ardour/ardour/libs/pbd/pbd/semutils.h:62
#4  0x00007fa4e638e178 in ARDOUR::Graph::run_one (this=0x5598e2019a00) at ../libs/ardour/graph.cc:405
#5  0x00007fa4e638e536 in ARDOUR::Graph::helper_thread (this=0x5598e2019a00) at ../libs/ardour/graph.cc:436
#6  0x00007fa4e6394b67 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fa492588b58, p=0x5598e2019a00) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007fa4e63942d0 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fa492588b68, f=..., 
    a=...) at /usr/include/boost/bind/bind.hpp:259
#8  0x00007fa4e639372f in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fa492588b58)
    at /usr/include/boost/bind/bind.hpp:1294
#9  0x00007fa4e6392fbe in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
#10 0x00005598de741c86 in boost::function0<void>::operator() (this=0x7fa492588b50) at /usr/include/boost/function/function_template.hpp:771
---Type <return> to continue, or q <return> to quit---
#11 0x00007fa4b6b9bb6e in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x5598e0f2bf30) at ../libs/backends/jack/jack_audiobackend.cc:936
#12 0x00007fa4df4ca494 in start_thread (arg=0x7fa492589700) at pthread_create.c:333
#13 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 28 (Thread 0x7fa492a12700 (LWP 2651)):
#0  0x00007fa4df4d2536 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5598e2019ad8) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007fa4df4d25e4 in __new_sem_wait_slow (sem=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007fa4e6390000 in PBD::Semaphore::wait (this=0x5598e2019ad8) at /home/colinf/src/ardour/ardour/libs/pbd/pbd/semutils.h:62
#4  0x00007fa4e638e178 in ARDOUR::Graph::run_one (this=0x5598e2019a00) at ../libs/ardour/graph.cc:405
#5  0x00007fa4e638e536 in ARDOUR::Graph::helper_thread (this=0x5598e2019a00) at ../libs/ardour/graph.cc:436
#6  0x00007fa4e6394b67 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fa492a11b58, p=0x5598e2019a00) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007fa4e63942d0 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fa492a11b68, f=..., 
    a=...) at /usr/include/boost/bind/bind.hpp:259
#8  0x00007fa4e639372f in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fa492a11b58)
    at /usr/include/boost/bind/bind.hpp:1294
#9  0x00007fa4e6392fbe in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
#10 0x00005598de741c86 in boost::function0<void>::operator() (this=0x7fa492a11b50) at /usr/include/boost/function/function_template.hpp:771
#11 0x00007fa4b6b9bb6e in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x5598e0f2bf30) at ../libs/backends/jack/jack_audiobackend.cc:936
#12 0x00007fa4df4ca494 in start_thread (arg=0x7fa492a12700) at pthread_create.c:333
#13 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 27 (Thread 0x7fa4460f7700 (LWP 2670)):
#0  0x00007fa4df4d37dd in nanosleep () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fa4e3749ab8 in g_usleep () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa4e628a7a6 in ARDOUR::AutomationWatch::thread (this=0x5598e107b680) at ../libs/ardour/automation_watch.cc:177
#3  0x00007fa4e628e38f in boost::_mfi::mf0<void, ARDOUR::AutomationWatch>::operator() (this=0x5598e0da4b20, p=0x5598e107b680) at /usr/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007fa4e628e01a in boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list0> (
    this=0x5598e0da4b30, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#5  0x00007fa4e628d99b in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >::operator() (
    this=0x5598e0da4b20) at /usr/include/boost/bind/bind.hpp:1294
#6  0x00007fa4e628d91c in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > > >::operator() (this=0x5598e0da4b20) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007fa4e628d362 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >, void>::call_it (rep=0x5598e0da4af0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#8  0x00007fa4e3c8d52d in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#9  0x00007fa4e37483d5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007fa4df4ca494 in start_thread (arg=0x7fa4460f7700) at pthread_create.c:333
#11 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 26 (Thread 0x7fa4468f8700 (LWP 2669)):

#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa4e6788317 in ARDOUR::Session::auto_connect_thread_run (this=0x5598e0d9f4c0) at ../libs/ardour/session.cc:7225
#2  0x00007fa4e6788048 in ARDOUR::Session::auto_connect_thread (arg=0x5598e0d9f4c0) at ../libs/ardour/session.cc:7172
#3  0x00007fa4df4ca494 in start_thread (arg=0x7fa4468f8700) at pthread_create.c:333
#4  0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 25 (Thread 0x7fa492487700 (LWP 2662)):
#0  0x00007fa4df4d2536 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5598e2019ad8) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007fa4df4d25e4 in __new_sem_wait_slow (sem=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007fa4e6390000 in PBD::Semaphore::wait (this=0x5598e2019ad8) at /home/colinf/src/ardour/ardour/libs/pbd/pbd/semutils.h:62
#4  0x00007fa4e638e178 in ARDOUR::Graph::run_one (this=0x5598e2019a00) at ../libs/ardour/graph.cc:405
#5  0x00007fa4e638e536 in ARDOUR::Graph::helper_thread (this=0x5598e2019a00) at ../libs/ardour/graph.cc:436
#6  0x00007fa4e6394b67 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fa492486b58, p=0x5598e2019a00) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007fa4e63942d0 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fa492486b68, f=..., 
    a=...) at /usr/include/boost/bind/bind.hpp:259
#8  0x00007fa4e639372f in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fa492486b58)
    at /usr/include/boost/bind/bind.hpp:1294
#9  0x00007fa4e6392fbe in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
#10 0x00005598de741c86 in boost::function0<void>::operator() (this=0x7fa492486b50) at /usr/include/boost/function/function_template.hpp:771
#11 0x00007fa4b6b9bb6e in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x5598e2014fc0) at ../libs/backends/jack/jack_audiobackend.cc:936
#12 0x00007fa4df4ca494 in start_thread (arg=0x7fa492487700) at pthread_create.c:333
#13 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 24 (Thread 0x7fa492303800 (LWP 2665)):
#0  0x00007fa4dc1e64ed in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fa4e492c7aa in CrossThreadChannel::poll_for_request (this=0x5598e0d9e658) at ../libs/pbd/crossthread.posix.cc:83
---Type <return> to continue, or q <return> to quit---
#2  0x00007fa4e492c813 in CrossThreadChannel::receive (this=0x5598e0d9e658, msg=@0x7fa49230228f: 0 '\000', wait=true) at ../libs/pbd/crossthread.posix.cc:104
#3  0x00007fa4e629e01e in ARDOUR::Butler::thread_work (this=0x5598e0d9e5c0) at ../libs/ardour/butler.cc:175
#4  0x00007fa4e629dd9f in ARDOUR::Butler::_thread_work (arg=0x5598e0d9e5c0) at ../libs/ardour/butler.cc:156
#5  0x00007fa4e494f3b8 in fake_thread_start (arg=0x5598e2ddd7e0) at ../libs/pbd/pthread_utils.cc:101
#6  0x00007fa4df4ca494 in start_thread (arg=0x7fa492303800) at pthread_create.c:333
#7  0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 23 (Thread 0x7fa493294700 (LWP 2667)):
#0  0x00007fa4df4d2536 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5598e39d3280) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x5598e39d3280, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007fa4df4d25e4 in __new_sem_wait_slow (sem=0x5598e39d3280, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007fa4e6390000 in PBD::Semaphore::wait (this=0x5598e39d3280) at /home/colinf/src/ardour/ardour/libs/pbd/pbd/semutils.h:62
#4  0x00007fa4e68caee0 in ARDOUR::Worker::run (this=0x5598e39d3260) at ../libs/ardour/worker.cc:140
#5  0x00007fa4e68cbbb8 in sigc::bound_mem_functor0<void, ARDOUR::Worker>::operator() (this=0x5598e39d30f8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007fa4e68cbb00 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ARDOUR::Worker> >::operator() (this=0x5598e39d30f0)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007fa4e68cb9d7 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ARDOUR::Worker>, void>::call_it (rep=0x5598e39d30c0)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#8  0x00007fa4e3c8d52d in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#9  0x00007fa4e37483d5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007fa4df4ca494 in start_thread (arg=0x7fa493294700) at pthread_create.c:333
#11 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 22 (Thread 0x7fa4ada8b700 (LWP 2668)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa4e67fc483 in ARDOUR::Session::emit_thread_run (this=0x5598e0d9f4c0) at ../libs/ardour/session_process.cc:1374
#2  0x00007fa4e67fc420 in ARDOUR::Session::emit_thread (arg=0x5598e0d9f4c0) at ../libs/ardour/session_process.cc:1363
#3  0x00007fa4df4ca494 in start_thread (arg=0x7fa4ada8b700) at pthread_create.c:333
#4  0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 21 (Thread 0x7fa49270c700 (LWP 2657)):
#0  0x00007fa4df4d2536 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5598e2019ad8) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007fa4df4d25e4 in __new_sem_wait_slow (sem=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007fa4e6390000 in PBD::Semaphore::wait (this=0x5598e2019ad8) at /home/colinf/src/ardour/ardour/libs/pbd/pbd/semutils.h:62
#4  0x00007fa4e638e178 in ARDOUR::Graph::run_one (this=0x5598e2019a00) at ../libs/ardour/graph.cc:405
#5  0x00007fa4e638e536 in ARDOUR::Graph::helper_thread (this=0x5598e2019a00) at ../libs/ardour/graph.cc:436
#6  0x00007fa4e6394b67 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fa49270bb58, p=0x5598e2019a00) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007fa4e63942d0 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fa49270bb68, f=..., 
    a=...) at /usr/include/boost/bind/bind.hpp:259
#8  0x00007fa4e639372f in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fa49270bb58)
    at /usr/include/boost/bind/bind.hpp:1294
#9  0x00007fa4e6392fbe in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
#10 0x00005598de741c86 in boost::function0<void>::operator() (this=0x7fa49270bb50) at /usr/include/boost/function/function_template.hpp:771
#11 0x00007fa4b6b9bb6e in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x5598e0f2bf30) at ../libs/backends/jack/jack_audiobackend.cc:936
#12 0x00007fa4df4ca494 in start_thread (arg=0x7fa49270c700) at pthread_create.c:333
#13 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 20 (Thread 0x7fa49278d700 (LWP 2656)):
#0  0x00007fa4df4d2536 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5598e2019ad8) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007fa4df4d25e4 in __new_sem_wait_slow (sem=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007fa4e6390000 in PBD::Semaphore::wait (this=0x5598e2019ad8) at /home/colinf/src/ardour/ardour/libs/pbd/pbd/semutils.h:62
#4  0x00007fa4e638e178 in ARDOUR::Graph::run_one (this=0x5598e2019a00) at ../libs/ardour/graph.cc:405
#5  0x00007fa4e638e536 in ARDOUR::Graph::helper_thread (this=0x5598e2019a00) at ../libs/ardour/graph.cc:436
#6  0x00007fa4e6394b67 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fa49278cb58, p=0x5598e2019a00) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007fa4e63942d0 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fa49278cb68, f=..., 
    a=...) at /usr/include/boost/bind/bind.hpp:259
#8  0x00007fa4e639372f in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fa49278cb58)
    at /usr/include/boost/bind/bind.hpp:1294
#9  0x00007fa4e6392fbe in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
#10 0x00005598de741c86 in boost::function0<void>::operator() (this=0x7fa49278cb50) at /usr/include/boost/function/function_template.hpp:771
#11 0x00007fa4b6b9bb6e in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x5598e1c505a0) at ../libs/backends/jack/jack_audiobackend.cc:936
#12 0x00007fa4df4ca494 in start_thread (arg=0x7fa49278d700) at pthread_create.c:333
#13 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 19 (Thread 0x7fa492508700 (LWP 2661)):
#0  0x00007fa4df4d2536 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5598e2019ad8) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
---Type <return> to continue, or q <return> to quit---
#1  do_futex_wait (sem=sem@entry=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007fa4df4d25e4 in __new_sem_wait_slow (sem=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007fa4e6390000 in PBD::Semaphore::wait (this=0x5598e2019ad8) at /home/colinf/src/ardour/ardour/libs/pbd/pbd/semutils.h:62
#4  0x00007fa4e638e178 in ARDOUR::Graph::run_one (this=0x5598e2019a00) at ../libs/ardour/graph.cc:405
#5  0x00007fa4e638e536 in ARDOUR::Graph::helper_thread (this=0x5598e2019a00) at ../libs/ardour/graph.cc:436
#6  0x00007fa4e6394b67 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fa492507b58, p=0x5598e2019a00) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007fa4e63942d0 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fa492507b68, f=..., 
    a=...) at /usr/include/boost/bind/bind.hpp:259
#8  0x00007fa4e639372f in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fa492507b58)
    at /usr/include/boost/bind/bind.hpp:1294
#9  0x00007fa4e6392fbe in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
#10 0x00005598de741c86 in boost::function0<void>::operator() (this=0x7fa492507b50) at /usr/include/boost/function/function_template.hpp:771
#11 0x00007fa4b6b9bb6e in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x5598e1c505a0) at ../libs/backends/jack/jack_audiobackend.cc:936
#12 0x00007fa4df4ca494 in start_thread (arg=0x7fa492508700) at pthread_create.c:333
#13 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 18 (Thread 0x7fa4ac0b8700 (LWP 2645)):
#0  0x00007fa4dc1e64ed in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fa4b6710126 in jack_cycle_wait () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#2  0x00007fa4b6b9bc23 in ARDOUR::JACKAudioBackend::process_thread (this=0x5598e08bddb0) at ../libs/backends/jack/jack_audiobackend.cc:965
#3  0x00007fa4b6b9bbbe in ARDOUR::JACKAudioBackend::_process_thread (arg=0x5598e08bddb0) at ../libs/backends/jack/jack_audiobackend.cc:944
#4  0x00007fa4b67104e7 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#5  0x00007fa4df4ca494 in start_thread (arg=0x7fa4ac0b8700) at pthread_create.c:333
#6  0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 17 (Thread 0x7fa492991700 (LWP 2652)):
#0  0x00007fa4df4d2536 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5598e2019ad8) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007fa4df4d25e4 in __new_sem_wait_slow (sem=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007fa4e6390000 in PBD::Semaphore::wait (this=0x5598e2019ad8) at /home/colinf/src/ardour/ardour/libs/pbd/pbd/semutils.h:62
#4  0x00007fa4e638e178 in ARDOUR::Graph::run_one (this=0x5598e2019a00) at ../libs/ardour/graph.cc:405
#5  0x00007fa4e638e536 in ARDOUR::Graph::helper_thread (this=0x5598e2019a00) at ../libs/ardour/graph.cc:436
#6  0x00007fa4e6394b67 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fa492990b58, p=0x5598e2019a00) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007fa4e63942d0 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fa492990b68, f=..., 
    a=...) at /usr/include/boost/bind/bind.hpp:259
#8  0x00007fa4e639372f in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fa492990b58)
    at /usr/include/boost/bind/bind.hpp:1294
#9  0x00007fa4e6392fbe in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
#10 0x00005598de741c86 in boost::function0<void>::operator() (this=0x7fa492990b50) at /usr/include/boost/function/function_template.hpp:771
#11 0x00007fa4b6b9bb6e in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x5598e1c505a0) at ../libs/backends/jack/jack_audiobackend.cc:936
#12 0x00007fa4df4ca494 in start_thread (arg=0x7fa492991700) at pthread_create.c:333
#13 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 16 (Thread 0x7fa492406700 (LWP 2663)):
#0  0x00007fa4df4d2536 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5598e2019ad8) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007fa4df4d25e4 in __new_sem_wait_slow (sem=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007fa4e6390000 in PBD::Semaphore::wait (this=0x5598e2019ad8) at /home/colinf/src/ardour/ardour/libs/pbd/pbd/semutils.h:62
#4  0x00007fa4e638e178 in ARDOUR::Graph::run_one (this=0x5598e2019a00) at ../libs/ardour/graph.cc:405
#5  0x00007fa4e638e536 in ARDOUR::Graph::helper_thread (this=0x5598e2019a00) at ../libs/ardour/graph.cc:436
#6  0x00007fa4e6394b67 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fa492405b58, p=0x5598e2019a00) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007fa4e63942d0 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fa492405b68, f=..., 
    a=...) at /usr/include/boost/bind/bind.hpp:259
#8  0x00007fa4e639372f in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fa492405b58)
    at /usr/include/boost/bind/bind.hpp:1294
#9  0x00007fa4e6392fbe in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
#10 0x00005598de741c86 in boost::function0<void>::operator() (this=0x7fa492405b50) at /usr/include/boost/function/function_template.hpp:771
#11 0x00007fa4b6b9bb6e in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x5598e0f2bf30) at ../libs/backends/jack/jack_audiobackend.cc:936
#12 0x00007fa4df4ca494 in start_thread (arg=0x7fa492406700) at pthread_create.c:333
#13 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 15 (Thread 0x7fa4b4e05700 (LWP 2639)):
#0  0x00007fa4dc1e64ed in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fa4e37209f6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa4e3720b0c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa4e3720b51 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fa4e37483d5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#5  0x00007fa4df4ca494 in start_thread (arg=0x7fa4b4e05700) at pthread_create.c:333
#6  0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 14 (Thread 0x7fa4b75d2700 (LWP 2634)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007fa4e376624f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa4e6232806 in ARDOUR::AudioEngine::do_devicelist_update (this=0x5598e065f650) at ../libs/ardour/audioengine.cc:561
#3  0x00007fa4e623ddd1 in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x5598e0660040, p=0x5598e065f650) at /usr/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007fa4e623d800 in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (
    this=0x5598e0660050, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#5  0x00007fa4e623cf3d in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (
    this=0x5598e0660040) at /usr/include/boost/bind/bind.hpp:1294
#6  0x00007fa4e623c7a2 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x5598e0660040) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007fa4e623ba02 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x5598e0660010) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#8  0x00007fa4e3c8d52d in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#9  0x00007fa4e37483d5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007fa4df4ca494 in start_thread (arg=0x7fa4b75d2700) at pthread_create.c:333
#11 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 13 (Thread 0x7fa4ad28a700 (LWP 2644)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa4b6711b5f in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#2  0x00007fa4df4ca494 in start_thread (arg=0x7fa4ad28a700) at pthread_create.c:333
#3  0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 12 (Thread 0x7fa492910700 (LWP 2653)):
#0  0x00007fa4df4d2536 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5598e2019ad8) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007fa4df4d25e4 in __new_sem_wait_slow (sem=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007fa4e6390000 in PBD::Semaphore::wait (this=0x5598e2019ad8) at /home/colinf/src/ardour/ardour/libs/pbd/pbd/semutils.h:62
#4  0x00007fa4e638e178 in ARDOUR::Graph::run_one (this=0x5598e2019a00) at ../libs/ardour/graph.cc:405
#5  0x00007fa4e638e536 in ARDOUR::Graph::helper_thread (this=0x5598e2019a00) at ../libs/ardour/graph.cc:436
#6  0x00007fa4e6394b67 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fa49290fb58, p=0x5598e2019a00) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007fa4e63942d0 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fa49290fb68, f=..., 
    a=...) at /usr/include/boost/bind/bind.hpp:259
#8  0x00007fa4e639372f in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fa49290fb58)
    at /usr/include/boost/bind/bind.hpp:1294
#9  0x00007fa4e6392fbe in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
#10 0x00005598de741c86 in boost::function0<void>::operator() (this=0x7fa49290fb50) at /usr/include/boost/function/function_template.hpp:771
#11 0x00007fa4b6b9bb6e in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x5598e14436c0) at ../libs/backends/jack/jack_audiobackend.cc:936
#12 0x00007fa4df4ca494 in start_thread (arg=0x7fa492910700) at pthread_create.c:333
#13 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 11 (Thread 0x7fa492385700 (LWP 2664)):
#0  0x00007fa4df4d2536 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5598e2019ad8) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007fa4df4d25e4 in __new_sem_wait_slow (sem=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007fa4e6390000 in PBD::Semaphore::wait (this=0x5598e2019ad8) at /home/colinf/src/ardour/ardour/libs/pbd/pbd/semutils.h:62
#4  0x00007fa4e638e178 in ARDOUR::Graph::run_one (this=0x5598e2019a00) at ../libs/ardour/graph.cc:405
#5  0x00007fa4e638e536 in ARDOUR::Graph::helper_thread (this=0x5598e2019a00) at ../libs/ardour/graph.cc:436
#6  0x00007fa4e6394b67 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fa492384b58, p=0x5598e2019a00) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007fa4e63942d0 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fa492384b68, f=..., 
    a=...) at /usr/include/boost/bind/bind.hpp:259
#8  0x00007fa4e639372f in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fa492384b58)
    at /usr/include/boost/bind/bind.hpp:1294
#9  0x00007fa4e6392fbe in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
#10 0x00005598de741c86 in boost::function0<void>::operator() (this=0x7fa492384b50) at /usr/include/boost/function/function_template.hpp:771
#11 0x00007fa4b6b9bb6e in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x5598e2007fc0) at ../libs/backends/jack/jack_audiobackend.cc:936
#12 0x00007fa4df4ca494 in start_thread (arg=0x7fa492385700) at pthread_create.c:333
#13 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 10 (Thread 0x7fa444e82700 (LWP 2674)):
#0  0x00007fa4e7892eb1 in boost::scoped_array<ARDOUR::PeakData>::operator[] (this=0x7fa444e811d0, i=11718) at /usr/include/boost/smart_ptr/scoped_array.hpp:80
#1  0x00007fa4e625faeb in ARDOUR::AudioSource::read_peaks_with_fpp (this=0x7fa44d52d2b0, peaks=0x7fa43c4a28f0, npeaks=120, start=0, cnt=8912896, samples_per_visual_peak=74528, 
    samples_per_file_peak=256) at ../libs/ardour/audiosource.cc:602
#2  0x00007fa4e625e777 in ARDOUR::AudioSource::read_peaks (this=0x7fa44d52d2b0, peaks=0x7fa43c4a28f0, npeaks=120, start=0, cnt=8912896, samples_per_visual_peak=74528)
---Type <return> to continue, or q <return> to quit---
    at ../libs/ardour/audiosource.cc:332
#3  0x00007fa4e624aba9 in ARDOUR::AudioRegion::read_peaks (this=0x5598e6d11840, buf=0x7fa43c4a28f0, npeaks=120, offset=0, cnt=8912896, chan_n=0, frames_per_pixel=74528)
    at ../libs/ardour/audioregion.cc:431
#4  0x00007fa4e788d174 in ArdourCanvas::WaveView::generate_image (this=0x5598e4c02010, req=..., in_render_thread=true) at ../libs/canvas/wave_view.cc:1005
#5  0x00007fa4e788f0d7 in ArdourCanvas::WaveView::drawing_thread () at ../libs/canvas/wave_view.cc:1595
#6  0x00005598def16803 in sigc::pointer_functor0<void>::operator() (this=0x5598e45586c8) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#7  0x00005598def13c10 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x5598e45586c0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#8  0x00005598def0ff0f in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x5598e4558690) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#9  0x00007fa4e3c8d52d in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#10 0x00007fa4e37483d5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007fa4df4ca494 in start_thread (arg=0x7fa444e82700) at pthread_create.c:333
#12 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 9 (Thread 0x7fa49288f700 (LWP 2654)):
#0  0x00007fa4df4d2536 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5598e2019ad8) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007fa4df4d25e4 in __new_sem_wait_slow (sem=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007fa4e6390000 in PBD::Semaphore::wait (this=0x5598e2019ad8) at /home/colinf/src/ardour/ardour/libs/pbd/pbd/semutils.h:62
#4  0x00007fa4e638e178 in ARDOUR::Graph::run_one (this=0x5598e2019a00) at ../libs/ardour/graph.cc:405
#5  0x00007fa4e638e536 in ARDOUR::Graph::helper_thread (this=0x5598e2019a00) at ../libs/ardour/graph.cc:436
#6  0x00007fa4e6394b67 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fa49288eb58, p=0x5598e2019a00) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007fa4e63942d0 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fa49288eb68, f=..., 
    a=...) at /usr/include/boost/bind/bind.hpp:259
#8  0x00007fa4e639372f in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fa49288eb58)
    at /usr/include/boost/bind/bind.hpp:1294
#9  0x00007fa4e6392fbe in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
#10 0x00005598de741c86 in boost::function0<void>::operator() (this=0x7fa49288eb50) at /usr/include/boost/function/function_template.hpp:771
#11 0x00007fa4b6b9bb6e in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x5598e0f2bf30) at ../libs/backends/jack/jack_audiobackend.cc:936
#12 0x00007fa4df4ca494 in start_thread (arg=0x7fa49288f700) at pthread_create.c:333
#13 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 8 (Thread 0x7fa49268b700 (LWP 2658)):
#0  0x00007fa4df4d2536 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5598e2019ad8) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007fa4df4d25e4 in __new_sem_wait_slow (sem=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007fa4e6390000 in PBD::Semaphore::wait (this=0x5598e2019ad8) at /home/colinf/src/ardour/ardour/libs/pbd/pbd/semutils.h:62
#4  0x00007fa4e638e178 in ARDOUR::Graph::run_one (this=0x5598e2019a00) at ../libs/ardour/graph.cc:405
#5  0x00007fa4e638e536 in ARDOUR::Graph::helper_thread (this=0x5598e2019a00) at ../libs/ardour/graph.cc:436
#6  0x00007fa4e6394b67 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fa49268ab58, p=0x5598e2019a00) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007fa4e63942d0 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fa49268ab68, f=..., 
    a=...) at /usr/include/boost/bind/bind.hpp:259
#8  0x00007fa4e639372f in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fa49268ab58)
    at /usr/include/boost/bind/bind.hpp:1294
#9  0x00007fa4e6392fbe in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
#10 0x00005598de741c86 in boost::function0<void>::operator() (this=0x7fa49268ab50) at /usr/include/boost/function/function_template.hpp:771
#11 0x00007fa4b6b9bb6e in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x5598e2014fc0) at ../libs/backends/jack/jack_audiobackend.cc:936
#12 0x00007fa4df4ca494 in start_thread (arg=0x7fa49268b700) at pthread_create.c:333
#13 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 7 (Thread 0x7fa4c7a10700 (LWP 2631)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007fa4e376624f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa4e688737c in peak_thread_work () at ../libs/ardour/source_factory.cc:71
#3  0x00005598def16803 in sigc::pointer_functor0<void>::operator() (this=0x5598e04fa228) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x00005598def13c10 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x5598e04fa220) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#5  0x00005598def0ff0f in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x5598e04fa1f0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#6  0x00007fa4e3c8d52d in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#7  0x00007fa4e37483d5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007fa4df4ca494 in start_thread (arg=0x7fa4c7a10700) at pthread_create.c:333
#9  0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 6 (Thread 0x7fa4b7dd3700 (LWP 2633)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007fa4e376624f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa4e62325e0 in ARDOUR::AudioEngine::do_reset_backend (this=0x5598e065f650) at ../libs/ardour/audioengine.cc:526
#3  0x00007fa4e623ddd1 in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x5598e065f570, p=0x5598e065f650) at /usr/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007fa4e623d800 in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (
    this=0x5598e065f580, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
---Type <return> to continue, or q <return> to quit---
#5  0x00007fa4e623cf3d in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (
    this=0x5598e065f570) at /usr/include/boost/bind/bind.hpp:1294
#6  0x00007fa4e623c7a2 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x5598e065f570) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007fa4e623ba02 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x5598e065f540) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#8  0x00007fa4e3c8d52d in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#9  0x00007fa4e37483d5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007fa4df4ca494 in start_thread (arg=0x7fa4b7dd3700) at pthread_create.c:333
#11 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 5 (Thread 0x7fa492a93700 (LWP 2650)):
#0  0x00007fa4df4d2536 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5598e2019ad8) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007fa4df4d25e4 in __new_sem_wait_slow (sem=0x5598e2019ad8, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007fa4e6390000 in PBD::Semaphore::wait (this=0x5598e2019ad8) at /home/colinf/src/ardour/ardour/libs/pbd/pbd/semutils.h:62
#4  0x00007fa4e638e178 in ARDOUR::Graph::run_one (this=0x5598e2019a00) at ../libs/ardour/graph.cc:405
#5  0x00007fa4e638e840 in ARDOUR::Graph::main_thread (this=0x5598e2019a00) at ../libs/ardour/graph.cc:477
#6  0x00007fa4e6394b67 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fa492a92b58, p=0x5598e2019a00) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007fa4e63942d0 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fa492a92b68, f=..., 
    a=...) at /usr/include/boost/bind/bind.hpp:259
#8  0x00007fa4e639372f in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fa492a92b58)
    at /usr/include/boost/bind/bind.hpp:1294
#9  0x00007fa4e6392fbe in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
#10 0x00005598de741c86 in boost::function0<void>::operator() (this=0x7fa492a92b50) at /usr/include/boost/function/function_template.hpp:771
#11 0x00007fa4b6b9bb6e in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x5598e14436c0) at ../libs/backends/jack/jack_audiobackend.cc:936
#12 0x00007fa4df4ca494 in start_thread (arg=0x7fa492a93700) at pthread_create.c:333
#13 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 4 (Thread 0x7fa49280e700 (LWP 2655)):
#0  0x00007fa4df4d2536 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5598e2019af8) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x5598e2019af8, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007fa4df4d25e4 in __new_sem_wait_slow (sem=0x5598e2019af8, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007fa4e6390000 in PBD::Semaphore::wait (this=0x5598e2019af8) at /home/colinf/src/ardour/ardour/libs/pbd/pbd/semutils.h:62
#4  0x00007fa4e638d62e in ARDOUR::Graph::restart_cycle (this=0x5598e2019a00) at ../libs/ardour/graph.cc:280
#5  0x00007fa4e638d5fb in ARDOUR::Graph::dec_ref (this=0x5598e2019a00) at ../libs/ardour/graph.cc:267
#6  0x00007fa4e6395328 in ARDOUR::GraphNode::finish (this=0x5598e31e9368, chain=1) at ../libs/ardour/graphnode.cc:71
#7  0x00007fa4e638e322 in ARDOUR::Graph::run_one (this=0x5598e2019a00) at ../libs/ardour/graph.cc:419
#8  0x00007fa4e638e536 in ARDOUR::Graph::helper_thread (this=0x5598e2019a00) at ../libs/ardour/graph.cc:436
#9  0x00007fa4e6394b67 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fa49280db58, p=0x5598e2019a00) at /usr/include/boost/bind/mem_fn_template.hpp:49
#10 0x00007fa4e63942d0 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fa49280db68, f=..., 
    a=...) at /usr/include/boost/bind/bind.hpp:259
#11 0x00007fa4e639372f in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fa49280db58)
    at /usr/include/boost/bind/bind.hpp:1294
#12 0x00007fa4e6392fbe in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
#13 0x00005598de741c86 in boost::function0<void>::operator() (this=0x7fa49280db50) at /usr/include/boost/function/function_template.hpp:771
#14 0x00007fa4b6b9bb6e in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x5598e2014fc0) at ../libs/backends/jack/jack_audiobackend.cc:936
#15 0x00007fa4df4ca494 in start_thread (arg=0x7fa49280e700) at pthread_create.c:333
#16 0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 3 (Thread 0x7fa4ae6af700 (LWP 2640)):
#0  0x00007fa4dc1e64ed in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fa4e37209f6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa4e3720d82 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa4e1d9a656 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007fa4e37483d5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fa4df4ca494 in start_thread (arg=0x7fa4ae6af700) at pthread_create.c:333
#6  0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 2 (Thread 0x7fa4c8211700 (LWP 2630)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007fa4e376624f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa4e688737c in peak_thread_work () at ../libs/ardour/source_factory.cc:71
#3  0x00005598def16803 in sigc::pointer_functor0<void>::operator() (this=0x5598e058e2a8) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x00005598def13c10 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x5598e058e2a0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#5  0x00005598def0ff0f in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x5598e058e270) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#6  0x00007fa4e3c8d52d in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#7  0x00007fa4e37483d5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#8  0x00007fa4df4ca494 in start_thread (arg=0x7fa4c8211700) at pthread_create.c:333
#9  0x00007fa4dc1ef93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 1 (Thread 0x7fa4e7f1b200 (LWP 2627)):
#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#1  0x00007fa4dc13b3fa in __GI_abort () at abort.c:89
#2  0x00007fa4dc132e37 in __assert_fail_base (fmt=<optimized out>, assertion=assertion@entry=0x7fa4e2362608 "CAIRO_REFERENCE_COUNT_HAS_REFERENCE (&surface->ref_count)", 
    file=file@entry=0x7fa4e23625c0 "../../../../src/cairo-surface.c", line=line@entry=928, function=function@entry=0x7fa4e2362b30 "cairo_surface_reference") at assert.c:92
#3  0x00007fa4dc132ee2 in __GI___assert_fail (assertion=0x7fa4e2362608 "CAIRO_REFERENCE_COUNT_HAS_REFERENCE (&surface->ref_count)", 
    file=0x7fa4e23625c0 "../../../../src/cairo-surface.c", line=928, function=0x7fa4e2362b30 "cairo_surface_reference") at assert.c:101
#4  0x00007fa4e22f5183 in cairo_surface_reference () from /usr/lib/x86_64-linux-gnu/libcairo.so.2
#5  0x00007fa4e22d7ec5 in ?? () from /usr/lib/x86_64-linux-gnu/libcairo.so.2
#6  0x00007fa4e22d81eb in cairo_pattern_create_for_surface () from /usr/lib/x86_64-linux-gnu/libcairo.so.2
#7  0x00007fa4e22b0061 in ?? () from /usr/lib/x86_64-linux-gnu/libcairo.so.2
#8  0x00007fa4e22a7a07 in cairo_set_source_surface () from /usr/lib/x86_64-linux-gnu/libcairo.so.2
#9  0x00007fa4dff1bf74 in Cairo::Context::set_source(Cairo::RefPtr<Cairo::Surface> const&, double, double) () from /usr/lib/x86_64-linux-gnu/libcairomm-1.0.so.1
#10 0x00007fa4e788e23d in ArdourCanvas::WaveView::render (this=0x5598e4d5f8d0, area=..., context=...) at ../libs/canvas/wave_view.cc:1263
#11 0x00007fa4e78575c0 in ArdourCanvas::Item::render_children (this=0x5598e4cdc450, area=..., context=...) at ../libs/canvas/item.cc:814
#12 0x00007fa4e784dd93 in ArdourCanvas::Container::render (this=0x5598e4cdc450, area=..., context=...) at ../libs/canvas/container.cc:43
#13 0x00007fa4e78575c0 in ArdourCanvas::Item::render_children (this=0x5598e5cff630, area=..., context=...) at ../libs/canvas/item.cc:814
#14 0x00007fa4e784dd93 in ArdourCanvas::Container::render (this=0x5598e5cff630, area=..., context=...) at ../libs/canvas/container.cc:43
#15 0x00007fa4e78575c0 in ArdourCanvas::Item::render_children (this=0x5598e1b1c540, area=..., context=...) at ../libs/canvas/item.cc:814
#16 0x00007fa4e784dd93 in ArdourCanvas::Container::render (this=0x5598e1b1c540, area=..., context=...) at ../libs/canvas/container.cc:43
#17 0x00007fa4e78575c0 in ArdourCanvas::Item::render_children (this=0x5598e14d4010, area=..., context=...) at ../libs/canvas/item.cc:814
#18 0x00007fa4e784dd93 in ArdourCanvas::Container::render (this=0x5598e14d4010, area=..., context=...) at ../libs/canvas/container.cc:43
#19 0x00007fa4e78575c0 in ArdourCanvas::Item::render_children (this=0x5598e243a070, area=..., context=...) at ../libs/canvas/item.cc:814
#20 0x00007fa4e784dd93 in ArdourCanvas::Container::render (this=0x5598e243a070, area=..., context=...) at ../libs/canvas/container.cc:43
#21 0x00007fa4e78809d2 in ArdourCanvas::ScrollGroup::render (this=0x5598e243a070, area=..., context=...) at ../libs/canvas/scroll_group.cc:67
#22 0x00007fa4e78575c0 in ArdourCanvas::Item::render_children (this=0x5598e2439840, area=..., context=...) at ../libs/canvas/item.cc:814
#23 0x00007fa4e784dd93 in ArdourCanvas::Container::render (this=0x5598e2439840, area=..., context=...) at ../libs/canvas/container.cc:43
#24 0x00007fa4e783b97a in ArdourCanvas::Canvas::render (this=0x5598e2439828, area=..., context=...) at ../libs/canvas/canvas.cc:128
#25 0x00007fa4e783f314 in ArdourCanvas::GtkCanvas::on_expose_event (this=0x5598e2439828, ev=0x7ffdbf01cd50) at ../libs/canvas/canvas.cc:894
#26 0x00007fa4e0ea9534 in Gtk::Widget_Class::expose_event_callback(_GtkWidget*, _GdkEventExpose*) () from /usr/lib/x86_64-linux-gnu/libgtkmm-2.4.so.1
#27 0x00007fa4e2db57bc in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#28 0x00007fa4e39f9f75 in g_closure_invoke () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#29 0x00007fa4e3a0c37d in ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#30 0x00007fa4e3a1467f in g_signal_emit_valist () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#31 0x00007fa4e3a14fbf in g_signal_emit () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#32 0x00007fa4e2ecd8ac in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#33 0x00007fa4e2db45a2 in gtk_main_do_event () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#34 0x00007fa4e2a10aef in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#35 0x00007fa4e2a10a95 in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#36 0x00007fa4e2a10a95 in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#37 0x00007fa4e2a10a95 in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#38 0x00007fa4e2a0d5c1 in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#39 0x00007fa4e2a0ded8 in gdk_window_process_all_updates () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#40 0x00007fa4e2a0df39 in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#41 0x00007fa4e29ecd37 in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#42 0x00007fa4e37206aa in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#43 0x00007fa4e3720a60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#44 0x00007fa4e3720d82 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#45 0x00007fa4e2db33b7 in gtk_main () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#46 0x00007fa4e7482806 in Gtkmm2ext::UI::run (this=0x5598e068c9b0, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:286
#47 0x00005598dec9a32a in main (argc=1, argv=0x7ffdbf01d618) at ../gtk2_ardour/main.cc:413
(gdb) 
(gdb) 

ardour-recording-crash-bt (58,461 bytes)

colinf

2017-05-02 19:25

updater   ~0019650

As promised, backtrace attached.

Incidentally, lspci tells me I have two of:

02:00.0 VGA compatible controller: NVIDIA Corporation GT218 [NVS 300] (rev a2)

timbyr

2017-06-26 02:26

developer   ~0019811

Some significant changes related to this issue have been merged into the master branch as of commit 6e91ee071 and will be included in a nightly build >= 5.10.136

Any testing to try and reproduce this bug would be appreciated.

holmian

2017-06-26 22:44

reporter   ~0019814

I've done some tests with self compiled 5.9.0 and 5.10.0 on Debian 8.
Recording crashes after 1-2h recording. This happens only when Editor window is
shown. The message is:
 ardour-5.9.0: ../../../../src/cairo-surface.c:928: cairo_surface_reference: Zusicherung »((*&(&surface->ref_count)->ref_count) > 0)« nicht erfüllt.
Abgebrochen (Speicherabzug geschrieben).
It seems that that when I disable "Show waveforms while recording" it works fine.
I'll test the latest release from git.

holmian

2017-06-27 21:05

reporter   ~0019819

I've tested build 5.10-139.
I've done 3 recordings with maximal length of 9 hours.
No crash. Seems to work.
Thanks a lot.

holmian

2017-06-28 16:34

reporter   ~0019820

I've done some more tests.
I've created a recording with 8 tracks each with a 4.2GB wave file.
Recording works fine but when I save and open the file the project crashes after some klicks, Message is:

(ardour-5.10.142:2199): glibmm-ERROR **:
unhandled exception (type std::exception) in signal handler:
what: std::bad_alloc


Backtrace is added as 2017-06-28_backtrace.txt

holmian

2017-06-28 16:35

reporter  

2017-06-28_backtrace.txt (17,799 bytes)
rocholl@musix:~/git/ardour/gtk2_ardour$ ./ardbg
GNU gdb (Debian 7.7.1+dfsg-5) 7.7.1
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from ./../build/gtk2_ardour/ardour-5.10.142...done.
(gdb) run
Starting program: /home/rocholl/git/ardour/build/gtk2_ardour/ardour-5.10.142 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
bind txt domain [gtk2_ardour5] to /home/rocholl/opt/ardour-5.10-git/share/ardour5/locale
Ardour5.10.142 (built using 5.10-142-gd3510b5 and GCC version 4.9.2)
ardour: [INFO]: Your system is configured to limit Ardour to only 65536 open files
ardour: [INFO]: Loading system configuration file /home/rocholl/git/ardour/system_config
ardour: [INFO]: Loading user configuration file /home/rocholl/.config/ardour5/config
[New Thread 0x7fffe0df2700 (LWP 2204)]
ardour: [INFO]: CPU vendor: GenuineIntel
ardour: [INFO]: AVX-capable processor
ardour: [INFO]: CPU brand:        Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz
ardour: [INFO]: Using SSE optimized routines
[New Thread 0x7fffe05f1700 (LWP 2205)]
[New Thread 0x7fffdfdf0700 (LWP 2206)]
[New Thread 0x7fffdf5ef700 (LWP 2207)]
[New Thread 0x7fffdd124700 (LWP 2208)]
[New Thread 0x7fffdc923700 (LWP 2209)]
Cannot xinstall SIGPIPE error handler
ardour: [INFO]: Loading default ui configuration file /home/rocholl/git/ardour/build/gtk2_ardour/default_ui_config
ardour: [INFO]: Loading user ui configuration file /home/rocholl/.config/ardour5/ui_config
Gtk-Message: Failed to load module "canberra-gtk-module"
Color shuttle bg not found
ardour: [INFO]: Loading color file /home/rocholl/git/ardour/gtk2_ardour/themes/dark-ardour.colors
ardour: [INFO]: Loading ui configuration file /home/rocholl/git/ardour/build/gtk2_ardour/clearlooks.rc
ardour: [INFO]: Loading ui configuration file /home/rocholl/git/ardour/build/gtk2_ardour/clearlooks.rc
[New Thread 0x7ffff7e9d700 (LWP 2210)]
[New Thread 0x7fffc6f31700 (LWP 2211)]
[Thread 0x7fffc6f31700 (LWP 2211) exited]
[Thread 0x7ffff7e9d700 (LWP 2210) exited]
[New Thread 0x7ffff7e9d700 (LWP 2212)]
[New Thread 0x7fffc6f31700 (LWP 2213)]
[Thread 0x7fffc6f31700 (LWP 2213) exited]
[Thread 0x7ffff7e9d700 (LWP 2212) exited]
[New Thread 0x7fffbffff700 (LWP 2214)]
[New Thread 0x7fffbf7fe700 (LWP 2215)]
[New Thread 0x7fffbeffd700 (LWP 2216)]
[New Thread 0x7fffbe7fc700 (LWP 2217)]
[New Thread 0x7fffbdffb700 (LWP 2218)]
[New Thread 0x7fffbd7fa700 (LWP 2219)]
[New Thread 0x7fffbcff9700 (LWP 2220)]
Found nothing along /home/rocholl/.config/ardour5/templates:./../templates:./../build/templates:./../gtk2_ardour/templates:./../build/gtk2_ardour/templates:./templates
run dialog
[Thread 0x7fffbd7fa700 (LWP 2219) exited]
[Thread 0x7fffbcff9700 (LWP 2220) exited]
[Thread 0x7fffbdffb700 (LWP 2218) exited]
[Thread 0x7fffbe7fc700 (LWP 2217) exited]
[New Thread 0x7ffff7e9d700 (LWP 2221)]
[New Thread 0x7fffc6f31700 (LWP 2222)]
[New Thread 0x7fffbc486700 (LWP 2223)]
protocol Open Sound Control (OSC) active ? 0
protocol PreSonus FaderPort8 active ? 0
protocol Steinberg CC121 not found
protocol PreSonus FaderPort active ? 0
protocol Generic MIDI active ? 0
protocol Mackie active ? 0
Scanning folders for bundled LV2s: ./../build/libs/LV2
KP is ardour.keys
[New Thread 0x7fffbe7fc700 (LWP 2224)]
[New Thread 0x7fffbdffb700 (LWP 2225)]
Set cursor set to default
[New Thread 0x7fffbcff9700 (LWP 2226)]
[New Thread 0x7fffbd7fa700 (LWP 2227)]
[New Thread 0x7fffa6eaa700 (LWP 2228)]
[New Thread 0x7fffa66a9700 (LWP 2229)]
[New Thread 0x7fffa6628700 (LWP 2230)]
[New Thread 0x7fffa65a7700 (LWP 2231)]
Set buffering params to 262144|131072|10|10
[New Thread 0x7fff8b2aa800 (LWP 2232)]
[New Thread 0x7fff8b157700 (LWP 2233)]
[Thread 0x7fffa6eaa700 (LWP 2228) exited]
[Thread 0x7fffbeffd700 (LWP 2216) exited]
[Thread 0x7fffbdffb700 (LWP 2225) exited]
[Thread 0x7fffbd7fa700 (LWP 2227) exited]
[Thread 0x7fffbcff9700 (LWP 2226) exited]
protocol Open Sound Control (OSC) active ? 0
protocol PreSonus FaderPort8 active ? 0
protocol PreSonus FaderPort active ? 0
protocol Generic MIDI active ? 0
protocol Mackie active ? 0
set state: 8
Set buffering params to 262144|131072|10|10
Skip explicit buffer seconds, preset in use
Skip explicit buffer seconds, preset in use
[New Thread 0x7fffbcff9700 (LWP 2234)]
[New Thread 0x7fffbd7fa700 (LWP 2235)]
[New Thread 0x7fffbdffb700 (LWP 2236)]
[New Thread 0x7fffbeffd700 (LWP 2237)]
[New Thread 0x7fff8951b700 (LWP 2238)]
[New Thread 0x7fff88d1a700 (LWP 2239)]
Zero fill end of peaks (@ 1373 with 61)
Zero fill end of peaks (@ 1373 with 61)
Zero fill end of peaks (@ 1373 with 45)
Zero fill end of peaks (@ 1373 with 24)
Zero fill end of peaks (@ 1363 with 70)
Zero fill end of peaks (@ 1363 with 13)
Zero fill end of peaks (@ 1263 with 41)
Zero fill end of peaks (@ 1263 with 57)
Zero fill end of peaks (@ 1263 with 38)
Zero fill end of peaks (@ 1263 with 102)
Zero fill end of peaks (@ 1263 with 86)
Zero fill end of peaks (@ 1263 with 162)
Zero fill end of peaks (@ 1263 with 143)
Zero fill end of peaks (@ 1263 with 194)
Zero fill end of peaks (@ 1255 with 165)
Zero fill end of peaks (@ 1255 with 202)
Zero fill end of peaks (@ 1255 with 9)
Zero fill end of peaks (@ 1255 with 29)
Zero fill end of peaks (@ 1255 with 116)
Zero fill end of peaks (@ 1255 with 141)
Zero fill end of peaks (@ 1255 with 225)
Zero fill end of peaks (@ 1255 with 181)
Zero fill end of peaks (@ 1263 with 19)
Zero fill end of peaks (@ 1263 with 44)
Zero fill end of peaks (@ 1263 with 20)
[Thread 0x7fffbe7fc700 (LWP 2224) exited]
------------------ summary move drag starts.

Zero fill end of peaks (@ 1177 with 343)
Zero fill end of peaks (@ 1114 with 280)
Zero fill end of peaks (@ 1106 with 438)
Zero fill end of peaks (@ 1059 with 392)
Zero fill end of peaks (@ 1118 with 449)
Zero fill end of peaks (@ 983 with 315)
Zero fill end of peaks (@ 1054 with 386)
Zero fill end of peaks (@ 1054 with 386)
Zero fill end of peaks (@ 986 with 318)
Zero fill end of peaks (@ 860 with 406)
Zero fill end of peaks (@ 845 with 391)
Zero fill end of peaks (@ 927 with 615)
Zero fill end of peaks (@ 857 with 618)
Zero fill end of peaks (@ 852 with 613)
Zero fill end of peaks (@ 772 with 532)
Zero fill end of peaks (@ 803 with 729)
Zero fill end of peaks (@ 800 with 726)
Zero fill end of peaks (@ 804 with 731)
Zero fill end of peaks (@ 685 with 610)
Zero fill end of peaks (@ 596 with 736)
Zero fill end of peaks (@ 590 with 730)
Zero fill end of peaks (@ 663 with 804)
Zero fill end of peaks (@ 624 with 813)
Zero fill end of peaks (@ 501Zero fill end of peaks (@ 600 with 955) with 856)

Zero fill end of peaks (@ 459 with 814)
Zero fill end of peaks (@ 523 with 877)
Zero fill end of peaks (@ 348 with 939)
Zero fill end of peaks (@ 430 with Zero fill end of peaks (@ 433 with 1025)
1022)
Zero fill end of peaks (@ 480 with 1072)
Zero fill end of peaks (@ 1107 with 367)
Zero fill end of peaks (@ 1118 with 260)
Zero fill end of peaks (@ 1263 with 35)
Zero fill end of peaks (@ 550 with 290)
Zero fill end of peaks (@ 550 with 424)
Zero fill end of peaks (@ 550 with 291)
Zero fill end of peaks (@ 550 with 362)
Zero fill end of peaks (@ 550 with 346)
Zero fill end of peaks (@ 550 with 448)
Zero fill end of peaks (@ 550 with 415)
Zero fill end of peaks (@ 550 with 348)
Zero fill end of peaks (@ 502 with 490)
Zero fill end of peaks (@ 502 with 463)
Zero fill end of peaks (@ 502 with 376)
Zero fill end of peaks (@ 502 with 352)
Zero fill end of peaks (@ 502 with 430)
Zero fill end of peaks (@ 502 with 451)
Zero fill end of peaks (@ 472 with 480)
Zero fill end of peaks (@ 472 with 545)
Zero fill end of peaks (@ 472 with 484)
Zero fill end of peaks (@ 472 with 508)
Zero fill end of peaks (@ 472 with 548)
Zero fill end of peaks (@ 472 with 521)
Zero fill end of peaks (@ 454 with 582)
Zero fill end of peaks (@ 454 with 483)
Zero fill end of peaks (@ 454 with 590)
Zero fill end of peaks (@ 454 with 517)
Zero fill end of peaks (@ 454 with 570)
Zero fill end of peaks (@ 454 with 585)
Zero fill end of peaks (@ 437 with 458)
Zero fill end of peaks (@ 437 with 441)
Zero fill end of peaks (@ 437 with 547)
Zero fill end of peaks (@ 437 with 509)
Zero fill end of peaks (@ 437 with 506)
Zero fill end of peaks (@ 437 with 550)
Zero fill end of peaks (@ 437 with 509)
Zero fill end of peaks (@ 431 with 563)
Zero fill end of peaks (@ 431 with 509)
Zero fill end of peaks (@ 431 with 517)
Zero fill end of peaks (@ 431 with 518)
Zero fill end of peaks (@ 431 with 560)
Zero fill end of peaks (@ 431 with 471)
Zero fill end of peaks (@ 431 with 512)
Zero fill end of peaks (@ 431 with 545)
Zero fill end of peaks (@ 427 with 482)
Zero fill end of peaks (@ 427 with 505)
Zero fill end of peaks (@ 427 with 617)
Zero fill end of peaks (@ 427 with 533)
Zero fill end of peaks (@ 427 with 571)
Zero fill end of peaks (@ 421 with 588)
Zero fill end of peaks (@ 421 with 573)
Zero fill end of peaks (@ 421 with 591)
Zero fill end of peaks (@ 421 with 586)
Zero fill end of peaks (@ 421 with 496)
Zero fill end of peaks (@ 421 with 477)
Zero fill end of peaks (@ 421 with 576)
Zero fill end of peaks (@ 421 with 548)
Zero fill end of peaks (@ 323 with 684)
Zero fill end of peaks (@ 323 with 611)
Zero fill end of peaks (@ 323 with 775)
Zero fill end of peaks (@ 323 with 641)
Zero fill end of peaks (@ 323 with 706)
Zero fill end of peaks (@ 323 with 657)
Zero fill end of peaks (@ 323 with 688)
Zero fill end of peaks (@ 323 with 732)
Zero fill end of peaks (@ 325 with 749)
Zero fill end of peaks (@ 325 with 662)
Zero fill end of peaks (@ 325 with 766)
Zero fill end of peaks (@ 325 with 710)
Zero fill end of peaks (@ 325 with 703)
Zero fill end of peaks (@ 325 with 619)
Zero fill end of peaks (@ 325 with 677)
Zero fill end of peaks (@ 329 with 676)
Zero fill end of peaks (@ 329 with 684)
Zero fill end of peaks (@ 329 with 762)
Zero fill end of peaks (@ 329 with 622)
Zero fill end of peaks (@ 329 with 659)
Zero fill end of peaks (@ 361 with 652)
Zero fill end of peaks (@ 361 with 659)
Zero fill end of peaks (@ 361 with 632)
Zero fill end of peaks (@ 361 with 721)
Zero fill end of peaks (@ 361 with 662)
Zero fill end of peaks (@ 361 with 596)
Zero fill end of peaks (@ 361 with 626)
Zero fill end of peaks (@ 391 with 576)
Zero fill end of peaks (@ 391 with 578)
Zero fill end of peaks (@ 391 with 517)
Zero fill end of peaks (@ 391 with 549)
Zero fill end of peaks (@ 391 with 631)
Zero fill end of peaks (@ 391 with 508)
Zero fill end of peaks (@ 391 with 599)
Zero fill end of peaks (@ 391 with 601)
Zero fill end of peaks (@ 437 with 502)
Zero fill end of peaks (@ 437 with 530)
Zero fill end of peaks (@ 437 with 493)
Zero fill end of peaks (@ 437 with 527)
Zero fill end of peaks (@ 437 with 573)
Zero fill end of peaks (@ 482 with 520)
Zero fill end of peaks (@ 482 with 520)
Zero fill end of peaks (@ 482 with 516)
Zero fill end of peaks (@ 482 with 414)
Zero fill end of peaks (@ 482 with 384)
Zero fill end of peaks (@ 482 with 551)
Zero fill end of peaks (@ 482 with 436)
Zero fill end of peaks (@ 508 with 363)
Zero fill end of peaks (@ 508 with 503)
Zero fill end of peaks (@ 508 with 472)
Zero fill end of peaks (@ 508 with 386)
Zero fill end of peaks (@ 508 with 474)
Zero fill end of peaks (@ 508 with 499)
Zero fill end of peaks (@ 508 with 500)
Zero fill end of peaks (@ 556 with 395)
Zero fill end of peaks (@ 556 with 387)
Zero fill end of peaks (@ 556 with 448)
Zero fill end of peaks (@ 556 with 362)
Zero fill end of peaks (@ 556 with 439)
Zero fill end of peaks (@ 611 with 362)
Zero fill end of peaks (@ 611 with 208)
Zero fill end of peaks (@ 611 with 347)
Zero fill end of peaks (@ 611 with 298)
Zero fill end of peaks (@ 611 with 326)
Zero fill end of peaks (@ 640 with 300)
Zero fill end of peaks (@ 640 with 203)
Zero fill end of peaks (@ 640 with 172)
Zero fill end of peaks (@ 640 with 321)
Zero fill end of peaks (@ 640 with 228)
Zero fill end of peaks (@ 640 with 318)
Zero fill end of peaks (@ 640 with 196)
Zero fill end of peaks (@ 658 with 293)
Zero fill end of peaks (@ 658 with 169)
Zero fill end of peaks (@ 658 with 184)
Zero fill end of peaks (@ 658 with 205)
Zero fill end of peaks (@ 658 with 198)
Zero fill end of peaks (@ 658 with 226)
Zero fill end of peaks (@ 658 with 222)
Zero fill end of peaks (@ 736 with 100)
Zero fill end of peaks (@ 736 with 141)
Zero fill end of peaks (@ 736 with 113)
Zero fill end of peaks (@ 736 with 89)
Zero fill end of peaks (@ 736 with 58)
Zero fill end of peaks (@ 736 with 161)
Zero fill end of peaks (@ 736 with 133)

(ardour-5.10.142:2199): glibmm-ERROR **: 
unhandled exception (type std::exception) in signal handler:
what: std::bad_alloc


Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff39a6d30 in g_logv () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt full
#0  0x00007ffff39a6d30 in g_logv () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#1  0x00007ffff39a6f6f in g_log () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#2  0x00007ffff3f0506f in Glib::exception_handlers_invoke() ()
   from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
No symbol table info available.
#3  0x00007ffff113bf49 in Gtk::Widget_Class::expose_event_callback(_GtkWidget*, _GdkEventExpose*) () from /usr/lib/x86_64-linux-gnu/libgtkmm-2.4.so.1
No symbol table info available.
#4  0x00007ffff3032a3f in ?? ()
   from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
No symbol table info available.
#5  0x00007ffff3c75245 in g_closure_invoke ()
   from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
#6  0x00007ffff3c86e62 in ?? ()
   from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
#7  0x00007ffff3c8f285 in g_signal_emit_valist ()
   from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
#8  0x00007ffff3c8f9df in g_signal_emit ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
#9  0x00007ffff3149d6c in ?? ()
   from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
No symbol table info available.
#10 0x00007ffff30317c2 in gtk_main_do_event ()
   from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
No symbol table info available.
#11 0x00007ffff2c8bd7f in ?? ()
   from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
No symbol table info available.
#12 0x00007ffff2c8bd25 in ?? ()
   from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
No symbol table info available.
#13 0x00007ffff2c8bd25 in ?? ()
   from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
No symbol table info available.
#14 0x00007ffff2c8bd25 in ?? ()
   from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
No symbol table info available.
#15 0x00007ffff2c88668 in ?? ()
   from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
#16 0x00007ffff2c8914d in gdk_window_process_updates ()
   from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
No symbol table info available.
#17 0x00007ffff3c75245 in g_closure_invoke ()
   from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
#18 0x00007ffff3c86f6c in ?? ()
   from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
#19 0x00007ffff3c8f778 in g_signal_emit_valist ()
   from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
#20 0x00007ffff3c8f9df in g_signal_emit ()
   from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
#21 0x00007ffff2f7957a in gtk_adjustment_value_changed ()
   from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
No symbol table info available.
#22 0x0000000000854acd in Editor::visual_changer (this=0x25184a0, vc=...)
    at ../gtk2_ardour/editor.cc:4651
No locals.
#23 0x00000000008549f6 in Editor::idle_visual_changer (this=0x25184a0)
    at ../gtk2_ardour/editor.cc:4625
---Type <return> to continue, or q <return> to quit--- 
        vc = {
          pending = (Editor::VisualChange::TimeOrigin | Editor::VisualChange::YOrigin), time_origin = 297558131, samples_per_pixel = 31019, 
          y_origin = 1.9999999999999716, idle_handler_id = -1, 
          being_handled = true}
#24 0x000000000085490e in Editor::_idle_visual_changer (arg=0x25184a0)
    at ../gtk2_ardour/editor.cc:4583
No locals.
#25 0x00007ffff399fb6d in g_main_context_dispatch ()
   from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#26 0x00007ffff399ff48 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#27 0x00007ffff39a0272 in g_main_loop_run ()
   from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#28 0x00007ffff3030597 in gtk_main ()
   from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
No symbol table info available.
#29 0x00007ffff752d036 in Gtkmm2ext::UI::run (this=0x1ad8f40, old_receiver=...)
    at ../libs/gtkmm2ext/gtk_ui.cc:285
No locals.
#30 0x0000000000be64b0 in main (argc=1, argv=0x7fffffffd908)
---Type <return> to continue, or q <return> to quit---
    at ../gtk2_ardour/main.cc:413
No locals.
(gdb) 

2017-06-28_backtrace.txt (17,799 bytes)

paul

2017-06-28 16:54

administrator   ~0019821

what file format?

holmian

2017-06-28 17:56

reporter   ~0019822

I'm staring ardour with: ./ardbg
The files are recorded in a previous session with ardour.

paul

2017-06-28 18:12

administrator   ~0019823

sure, but what format were they. they sound too large for normal WAV.

johmue-eo

2017-06-28 18:27

developer   ~0019824

Well, when I am recording podcasts I have usually files > 1GB. I remember some other podcast ranting about Abelton Live because it for some 32bit reason could not handle files > 4GB and therefore silently stopped recording after a couple of hours.

holmian

2017-06-28 18:31

reporter   ~0019825

Here are the files I've recorded with ardour:

rocholl@musix:~/ardour-work/Test09$ ls -lh interchange/Test09/audiofiles/
insgesamt 41G
-rw-r--r-- 1 rocholl users 288M Jun 27 23:41 Audio 1-1.wav
-rw-r--r-- 1 rocholl users 208M Jun 28 00:03 Audio 1-2.wav
-rw-r--r-- 1 rocholl users 4,6G Jun 28 07:12 Audio 1-3.wav
-rw-r--r-- 1 rocholl users 288M Jun 27 23:41 Audio 2-1.wav
-rw-r--r-- 1 rocholl users 208M Jun 28 00:03 Audio 2-2.wav
-rw-r--r-- 1 rocholl users 4,6G Jun 28 07:12 Audio 2-3.wav
-rw-r--r-- 1 rocholl users 288M Jun 27 23:41 Audio 3-1.wav
-rw-r--r-- 1 rocholl users 208M Jun 28 00:03 Audio 3-2.wav
-rw-r--r-- 1 rocholl users 4,6G Jun 28 07:12 Audio 3-3.wav
-rw-r--r-- 1 rocholl users 288M Jun 27 23:41 Audio 4-1.wav
-rw-r--r-- 1 rocholl users 208M Jun 28 00:03 Audio 4-2.wav
-rw-r--r-- 1 rocholl users 4,6G Jun 28 07:12 Audio 4-3.wav
-rw-r--r-- 1 rocholl users 288M Jun 27 23:41 Audio 5-1.wav
-rw-r--r-- 1 rocholl users 208M Jun 28 00:03 Audio 5-2.wav
-rw-r--r-- 1 rocholl users 4,6G Jun 28 07:12 Audio 5-3.wav
-rw-r--r-- 1 rocholl users 288M Jun 27 23:41 Audio 6-1.wav
-rw-r--r-- 1 rocholl users 208M Jun 28 00:03 Audio 6-2.wav
-rw-r--r-- 1 rocholl users 4,6G Jun 28 07:12 Audio 6-3.wav
-rw-r--r-- 1 rocholl users 288M Jun 27 23:41 Audio 7-1.wav
-rw-r--r-- 1 rocholl users 208M Jun 28 00:03 Audio 7-2.wav
-rw-r--r-- 1 rocholl users 4,6G Jun 28 07:12 Audio 7-3.wav
-rw-r--r-- 1 rocholl users 288M Jun 27 23:41 Audio 8-1.wav
-rw-r--r-- 1 rocholl users 208M Jun 28 00:03 Audio 8-2.wav
-rw-r--r-- 1 rocholl users 4,6G Jun 28 07:12 Audio 8-3.wav

rocholl@musix:~/ardour-work/Test09$ file "./interchange/Test09/audiofiles/Audio 4-3.wav"
./interchange/Test09/audiofiles/Audio 4-3.wav: RIFF (little-endian) data, WAVE audio, mono 48000 Hz

paul

2017-06-28 18:45

administrator   ~0019826

please install & run:

   sndfile-info "./interchange/Test09/audiofiles/Audio 4-3.wav"

and paste the output.

WAV files are limited to either precisely 4GB (GB = 1024 * 1048576 bytes) or 4.09 "GB" ("GB" = 1000 * 1048576 bytes). Some implementations/interpretations of the WAV format specification limit it to 2GB.

The format does not allow them to be larger, which is why alternative formats exist, and why other applications (and Ardour) may fail to open such files.

There are, however, alternatives.

holmian

2017-06-28 20:14

reporter   ~0019827

Here is the output:

rocholl@musix:~/ardour-work/Test09$ sndfile-info "./interchange/Test09/audiofiles/Audio 4-3.wav"

Version : libsndfile-1.0.25

========================================
File : ./interchange/Test09/audiofiles/Audio 4-3.wav
Length : 4904763448
Warning : filelength > 0xffffffff. This is bad!!!!
RIFF : 609796144
WAVE
fmt : 16
  Format : 0x3 => WAVE_FORMAT_IEEE_FLOAT
  Channels : 1
  Sample Rate : 48000
  Block Align : 4
  Bit Width : 32
  Bytes/sec : 192000
fact : 4
  frames : 1226190848
data : 609796096
*** Unknown chunk marker (0) at position 609796152. Exiting parser.

----------------------------------------
Sample Rate : 48000
Frames : 152449024
Channels : 1
Format : 0x00010006
Sections : 1
Seekable : TRUE
Duration : 00:52:56.021

paul

2017-06-28 20:53

administrator   ~0019828

what version of Ardour were these files created with?

also, this is moving rapidly off-topic. it would be better to open a different bug report for this.

holmian

2017-06-28 21:43

reporter   ~0019829

The version is: ardour-5.10.142.

Yes you are right. It is a different issue. But as I've learned it is not a bug. The files are too large.
I'll test if the the issue also will occours if the files are smaller.
There is also no need to have such long recordings.
I just want to know why ardour crashes.

Now it's clear for me. Thanks a lot for your work.

x42

2017-07-07 00:52

administrator   ~0019871

still OT: but for long recordings / large files:
   Ardour-Menu > Session > Properties > Media
use Wave-64

hpfmn

2017-07-16 20:52

reporter   ~0019896

Last edited: 2017-07-16 21:07

View 3 revisions

I can confirm the issue on ArchLinux - 6 Tracks after some time during recoring it started crashing and does that again after that in short intervals. Always this message:

renaming state to /home/hpfmn/Dokumente/Ardour/SonatorRec/SonatorRec.pending
ardour-5.9.0: cairo-surface.c:931: cairo_surface_reference: Assertion `CAIRO_REFERENCE_COUNT_HAS_REFERENCE (&surface->ref_count)' failed.
[1] 10172 segmentation fault (core dumped) ardour5

I just read it is maybe bound to gfx system: using it with intel graphics and SNA

And I noticed the message is slightly different from the one disussed here

Issue History

Date Modified Username Field Change
2015-07-26 22:55 Sideboard New Issue
2015-07-26 22:55 Sideboard File Added: gdb.txt
2015-08-01 22:54 Sideboard Note Added: 0016982
2015-08-01 22:55 Sideboard File Added: gdb-Ardour-4.1.485-dbg.log
2015-08-04 10:56 Sideboard Note Added: 0016986
2015-08-31 19:17 Sideboard Note Added: 0017128
2015-09-02 12:42 x42 Note Added: 0017132
2015-09-02 14:56 x42 Note Added: 0017134
2015-09-02 14:57 x42 Note Edited: 0017134
2015-09-02 14:58 x42 Note Edited: 0017134
2015-10-26 21:16 Sideboard Note Added: 0017516
2015-10-26 21:17 Sideboard File Added: Ardour_64bit_4.4-dgb_crash_backtrace.log
2015-10-26 21:17 Sideboard File Added: Ardour_64bit_4.4.143-dgb_crash_backtrace.log
2015-10-26 21:21 Sideboard File Added: Ardour_64bit_4.4.143-dgb_crash_backtrace.txt
2015-10-26 21:24 Sideboard Note Edited: 0017516
2015-10-27 01:42 paul Note Added: 0017517
2015-10-27 02:20 paul Note Added: 0017522
2015-12-01 00:21 x42 Relationship added has duplicate 0006690
2015-12-10 17:44 x42 Note Added: 0017719
2015-12-10 19:28 paul Note Added: 0017720
2016-02-22 11:41 timbyr Status new => confirmed
2016-03-04 16:10 x42 Note Added: 0018038
2016-03-04 16:10 x42 Assigned To => x42
2016-03-04 16:10 x42 Status confirmed => feedback
2016-04-10 21:56 Sideboard Note Added: 0018146
2016-04-10 21:56 Sideboard Status feedback => assigned
2016-04-10 21:56 Sideboard File Added: ardour-4.7.660-dbg.log
2016-05-01 21:26 Sideboard Note Added: 0018166
2016-05-01 21:26 Sideboard File Added: Ardour_64bit-4.7.914-dbg-gcc5.log
2016-05-01 22:15 paul Note Added: 0018167
2016-08-18 01:56 x42 Relationship added has duplicate 0006958
2016-11-22 22:10 timbyr Relationship added has duplicate 0007128
2016-11-22 22:11 x42 Assigned To x42 =>
2016-11-22 23:12 timbyr Product Version 4.X git (version in description) => 5.X git (version in description)
2017-03-04 10:40 timbyr Relationship added has duplicate 0007250
2017-03-15 13:44 x42 Note Added: 0019531
2017-03-15 13:44 x42 Assigned To => x42
2017-03-15 13:44 x42 Status assigned => feedback
2017-05-02 11:58 colinf Note Added: 0019646
2017-05-02 12:14 x42 Note Added: 0019647
2017-05-02 14:26 colinf Note Added: 0019648
2017-05-02 19:08 colinf File Added: ardour-recording-crash-bt
2017-05-02 19:12 colinf Relationship added has duplicate 0007335
2017-05-02 19:25 colinf Note Added: 0019650
2017-05-11 23:13 timbyr Relationship added related to 0007309
2017-06-26 02:26 timbyr Note Added: 0019811
2017-06-26 22:44 holmian Note Added: 0019814
2017-06-27 21:05 holmian Note Added: 0019819
2017-06-28 16:34 holmian Note Added: 0019820
2017-06-28 16:35 holmian File Added: 2017-06-28_backtrace.txt
2017-06-28 16:54 paul Note Added: 0019821
2017-06-28 17:56 holmian Note Added: 0019822
2017-06-28 18:12 paul Note Added: 0019823
2017-06-28 18:27 johmue-eo Note Added: 0019824
2017-06-28 18:31 holmian Note Added: 0019825
2017-06-28 18:45 paul Note Added: 0019826
2017-06-28 20:14 holmian Note Added: 0019827
2017-06-28 20:53 paul Note Added: 0019828
2017-06-28 21:43 holmian Note Added: 0019829
2017-07-07 00:46 x42 Relationship added related to 0007401
2017-07-07 00:52 x42 Note Added: 0019871
2017-07-16 20:52 hpfmn Note Added: 0019896
2017-07-16 21:04 hpfmn Note Edited: 0019896 View Revisions
2017-07-16 21:07 hpfmn Note Edited: 0019896 View Revisions
2017-07-24 20:17 x42 Relationship added related to 0007366